Edytor bitmap i animacji

Edytor postaci jest przyjaznym środowiskiem do edycji bitmap i animacji. Podczas pracy z Imagine, Edytor postaci pozwala Ci tworzyć i modyfikować rysunki, które mogą być używane jako postaci żółwi. Dodatkowo, Edytor postaci pozwala tworzyć i/lub modyfikować pliki bitmap wykorzystywane jako tło w Imagine lub poza tym środowiskiem.

Edytor postaci dostarcza doskonałych narzędzi do rysowania i malowania, pisania tekstu z użyciem dowolnych czcionek, styli, kolorów i rozmiarów oraz wstawiania podstawowych kształtów geometrycznych (linii, okręgów, prostokątów, elips, wypełnionych elips i łuków).

Może być również używany do tworzenia i modyfikowania standardowych ikon i kursorów Windows oraz współpracuje ze standardowym Schowkiem Windows. Edytor postaci pozwala na zmianę rozmiaru, obroty i kolorowanie rysunków. Dodatkowo dostarcza potężnych narzędzi do generowania i przetwarzania animacji lub animowanych filmów, czyli ciągów klatek. Wspomaga wiele różnych zaawansowanych operacji graficznych.


Dla użytkowników Edytora obrazów Logo Komeniusza

Poprzednik Imagine, Logo Komeniusz, miał edytor graficzny nazywany Edytorem obrazów. Podstawowym rodzajem tworzonych przezeń plików był plik obrazów LGW. Był to jeden z dostępnych typów danych jakie można było przypisać zmiennym w Logo Komeniusz. Składał się on z pustej lub niepustej serii faz, czyli grupy bitmap zapisanych w pliku i używanych w projekcie Logo Komeniusz. Obraz LGW mógł być przypisany dowolnemu żółwiowi jako jego aktualna postać. Podstawową (domyślną) postacią żółwia był obracany trójkąt złożony z 24 faz:

Inne żółwie - nazywane żółwiami animowanymi - wyglądały zupełnie inaczej. Na przykład:

Podsumowując:

  • Logo Komeniusz pozwalał na pracę z obrazami w analogiczny sposób jak ze słowami i listami.
  • Maksymalna liczba faz w postaci wynosiła 250.
  • Maksymalny rozmiar fazy to 255 x 255 punktów.

Pliki obrazów LGW Logo Komeniusz są w dalszym ciągu rozpoznawane przez Imagine. Jednak Edytor obrazu uległ znacznym zmianom: wszystkie jego dotychczasowe cechy zostały zachowane, jednak dodano mnóstwo nowych możliwości, zaś wiele wcześniejszych rozszerzono i uogólniono. Format LGW został rozszerzony do formatu LGF charakterystycznego dla Imagine, dzięki czemu umożliwiono automatyczną animację dostatecznie prostą do wykorzystania nawet przez małe dzieci.


Pliki graficzne Imagine

Pliki obrazu LGF Imagine stanowią złożone graficzne obiekty używane głównie jako postaci żółwi. Każda postać składa się z pustej lub niepustej serii faz.

Do całej serii dołączane są pewne dodatkowe dane, takie jak cykl, kierunek itp.

Każda faza składa się z pojedynczego obrazka lub z grupy obrazków (zwanych klatkami). Klatki tworzą pewien rodzaj animowanego filmu, który ilustruje np. ruch pewnej postaci w pewnym kierunku. W takim przypadku, różne fazy ilustrują poruszanie się tego samego bohatera w różnych kierunkach (np. spacerowanie w prawo, zbliżanie się, spacerowanie w lewo i oddalanie się od nas).

Na obrazku powyżej jest wyświetlony plik LGF przedstawiający robota (jego nazwa jest widoczna w nagłówku okna Treści). W lewej części okna Treści widzimy, że postać robota składa się z czterech faz: każda z nich reprezentuje wszystkie możliwe kierunki wskazywane przez żółwia-robota w Imagine w ramach 90 stopni (t. j. ćwiartki okręgu). Pierwsza faza będzie używana do wyświetlania dowolnego kierunku żółwia między 335 a 65 stopni (lub innymi słowy miedzy -25° a 65°).

Aktualnie wybrana jest pierwsza faza, z prawej strony okna Treści wyświetlone jest jej sześć klatek wraz z odpowiadającym im spowolnieniem.

Jeśli faza postaci składa się z więcej niż jednej klatki i przypiszemy tę postać żółwiowi, to Imagine będzie automatycznie wyświetlało klatki jedną po drugiej używając spowolnienia określonego dla każdej z nich. W ten sposób zrealizowano mechanizm automatycznej animacji.

Zapamiętajmy, że postać może składać się z:

  • Wielu różnych faz używanych do ilustrowania różnych kierunków, przy czym każda faza zawiera jedynie jedną klatkę. Kiedy używamy takiego pliku jako postaci żółwia, nie będzie on żółwiem animowanym, lecz jedynie postać żółwia będzie ilustrowała jego kierunek. Domyślny żółw ma właśnie taką postać.
  • Jednej fazy składającej się z kilku klatek. Kiedy używamy takiego pliku jako postaci żółwia, nie będą ilustrowane jego różne kierunki. Mimo to, Imagine uruchomi automatyczną animację przypominającą animację GIF. Zauważmy, że wygląd lewej części okna Treści jest w tym przykładzie inny niż poprzednio:

    W części poświęconej oknu Treści znajdziesz więcej informacji na ten temat.
  • Kilku faz, każda z nich może zawierać kilka klatek. Takie postaci są zazwyczaj używane do przedstawiania animowanych żółwi, których kształt zależy od ich aktualnego kierunku.

Poza fazami i klatkami plik postaci zawiera następujące dodatkowe informacje:

  • Czy klatki każdej fazy będą wyświetlane w Imagine wielokrotnie - w cyklu - lub czy ciąg (animowany film) zostanie wyświetlony tylko raz.
  • Czy postać ma ilustrować kierunek czy nie.
  • Jaka jest orientacja postaci. Wartość orientacji, kąt, określa oś wskazywaną przez pierwszą fazę postaci. Domyślną wartością jest 0 stopni, czyli Północ. Czasami rozsądnie jest zmodyfikować tę wartość. W przykładzie poniżej animowany pies porusza się od prawej do lewej i od lewej do prawej:

    W tym przypadku sensownie było podzielić dostępne kierunki na dwie grupy: od 0° do 180° i od 180° do 360° (zamiast 270° do 90° i 90° do 270°).

  • Spowolnienie określane dla każdej klatki postaci. Jest ono wykorzystywane przez Imagine do kontrolowania prędkości z jaką zmieniają się poszczególne klatki podczas automatycznej animacji. Liczba 1000 odpowiada 1 sekundzie.
  • Pozycja punktu zaczepienia wewnątrz każdej klatki. Zaczepienie określa punkt o współrzędnych [x y]. Jest on rozpoznawany przez każde polecenie Imagine dotyczące postaci i traktowany jako punkt odniesienia danej klatki. Na przykład, przy używaniu danego pliku jako postaci żółwia, punkt zaczepienia postaci (fazy i klatki aktualnie oglądanej) jest używany jako aktualna pozycja żółwia. Zauważmy przy tym, że:
    • Każda klatka postaci ma swój własny punkt zaczepienia, zobacz polecenia Zaczepienie i UstalZaczepienie.
    • Górny lewy róg klatki ma współrzędne [0 0]. Współrzędna x rośnie w prawo, współrzędna y w dół.
    • Punkt zaczepienia nie musi leżeć wewnątrz klatki. Jeśli na przykład faza ma wielkość [53 30], to jej punktem zaczepienia może być [110 20] lub [-25 -10] itd.

Położenie punktu zaczepienia jest wyświetlane w trybie Wyświetl i wskaż zaczepienie (który możemy włączyć za pomocą przycisku Zaczepienie na Pasku narzędzi). Po przejściu do tego trybu aktualny punkt zaczepienia klatki jest oznaczony białym krzyżykiem. Dodatkowo, kursor myszy zmienia się w cztery białe strzałki, co ułatwia wskazanie nowej pozycji (nawet poza obszarem klatki) punktu zaczepienia.

Innym sposobem wskazania punktu zaczepienia jest użycie okienka dialogowego Zaczepienie.


Przezroczystość

Tworząc obraz w Edytorze postaci do wykorzystania w Imagine jako postaci żółwia, często musimy pewne fragmenty prostokąta tworzącego nasz rysunek pozostawić przezroczyste. Domyślnie wszystkie punkty rysunku są na początku przezroczyste, aby to zobaczyć wystarczy ustalić powiększenie na co najmniej 400% i zaznaczyć pole opcji Pokaż przezroczyste w oknie dialogowym Powiększenie. Wszystkie przezroczyste punkty zostaną wyświetlone z kropką w środku (kropka stanowi tylko oznaczenie - nie pojawia się później na ekranie).

Dodawanie kolorów do rysunku polega na zmienianiu punktów z przezroczystych na kolorowe. Oczywiście możliwa jest również zamiana odwrotna. Dodanie przezroczystych punktów do rysunku oznacza albo usuniecie koloru za pomocą dowolnego kształtu lub stalówki, przy wybranej gumce, albo użycie dowolnej kombinacji kształtów, stalówek czy narzędzi i rysowanie za pomocą prawego przycisku myszy.

Punkty przezroczyste (rozpoznawane przez Imagine) nie powinny być mylone ze stopniem przezroczystości kolorów w Edytorze postaci. Rysowanie w Edytorze postaci z użyciem częściowo przezroczystego koloru oznacza, że w pewnym stopniu możemy widzieć przez dany kolor barwę pod spodem. Zjawisko to nie jest rozpoznawane przez Imagine.


Pliki LGF

Podczas zapisu rysunku, Edytor postaci przyjmuje domyślny format pliku LGF (jeśli żaden inny format nie został wybrany). Pliki tego typu mogą być używane przez pewne polecenia Imagine jako ich dane.

Uwaga dla zaawansowanych użytkowników: Każdy plik LGF może zawierać kilka postaci, które mogą być tworzone i używane zarówno w Imagine jak i w Edytorze postaci. Więcej szczegółów znajdziesz w opisie okna Treści.


Inne typy plików

Edytor postaci pozwala na otwieranie i używanie plików graficznych w różnych formatach. Poza swoim własnym formatem LGF, Edytor postaci rozpoznaje następujące typy plików:

  • IMP (pliki projektów Imagine).
  • LGW (pliki obrazów Logo Komeniusz).
  • BMP (bitmapy).
  • DIB (bitmapy autonomiczne).
  • JPG (pliki JPEG).
  • GIF (Graphics Interchange Format).
  • ANI (animowane kursory).
  • CUR (kursory).
  • ICO (ikony).
  • WMF i EMF (metapliki Windows).
  • TGA (Targa),
  • PNG.

Można również zapisać tworzony rysunek w formacie innym niż LGF, wybierając jedną z następujących możliwości:

  • bitmapa BMP.
  • bitmapa autonomiczna DIB.
  • JPEG.
  • ANI.
  • CUR.
  • ICO.
  • GIF.
  • Targa TGA,
  • PNG.


Menu…

Położony na górze ekranu pasek menu zawiera następujące pozycje: Plik, Edycja, Widok, Rysowanie, Opcje i Pomoc. Każde z tych menu zawiera listę opcji opisanych poniżej. Obok części opcji widoczne są małe ikonki, odpowiadające ikonom na Pasku narzędzi lub w oknie Przybornika. Mają one na celu ułatwienie użytkownikowi powiązania opcji z odpowiednimi przyciskami.


Menu Plik

Nowy
Otwórz
Zapisz i Zapisz jako…
Zamknij
Drukuj
<nazwy plików>
Koniec


Plik / Nowy

Opcja Nowy tworzy nowy rysunek z jedną fazą zawierającą jedną klatkę. Rozmiary i kolor tła będą zgodne z ostatnio wybranymi w oknie dialogowym Ustawienia. Inne parametry będą miały swoje domyślne wartości.


Plik / Otwórz...

Plik / Otwórz…

Opcja Otwórz wyświetla okno dialogowe Otwórz z aktywnym okienkiem Podgląd. Domyślny folder zawierający pliki wyświetlane w oknie dialogowym jest określony w pliku LogoMotion.INI. Akceptowane formaty plików to: LGF, IMP, LGW, BMP, DIB, JPG, GIF, ANI, CUR, ICO, WMF, EMF, TGA i PNG.


Plik / Zapisz i Zapisz jako...

Plik / Zapisz i Zapisz jako…

Opcje Zapisz i Zapisz jako są standardowymi opcjami Windows do zapisu rysunków w plikach w jednym z następujących formatów: LGF, BMP, DIB, JPG, ICO, CUR, GIF, TGA lub PNG.


Plik / Zamknij

Opcja Zamknij zamyka rysunek bez wychodzenia z programu. Jeśli rysunek zawiera dowolne nie zapisane zmiany, Edytor postaci zaproponuje zapisanie rysunku przed zamknięciem.


Plik / Drukuj...

Plik / Drukuj…

Opcja Drukuj wyświetla okienko dialogowe Drukuj zawierające Zakres wydruku (wydruk wybranego rysunku lub wszystkich rysunków postaci), Wygląd wydruku (wydruk numerów klatek, wydruk wszystkich klatek w jednej linii), Podgląd, przyciski Ustawienia strony…, Anuluj i Drukuj.


Plik / Koniec

Opcja Koniec zamyka wszystkie rysunki po uprzednim zapytaniu o zachowanie każdego z jeszcze nie zapisanych oraz kończy pracę z programem.


Plik / <nazwy plików>

Między opcjami Drukuj i Koniec wyświetlana jest lista nazw plików ostatnio otwieranych w Edytorze postaci. Liczba nazw pamiętanych przez program i wyświetlanych w tym miejscu jest podana w pliku LogoMotion.INI.


Menu Edycja

Cofnij / Przywróć
Wytnijj, Kopiuj i Wklej
Wstaw nowy przed i Wstaw nowy po
Usuń
Zaznacz wszystko


Edycja / Cofnij, Przywróć

Opcja Cofnij / Przywróć wycofuje ostatnio wprowadzone zmiany za pomocą narzędzia wybranego w Przyborniku. Zmian nie można cofnąć jeśli zmieniliśmy klatkę wyświetlaną wewnątrz obszaru rysowania. Ponowne użycie tej opcji powoduje przywrócenie zmian.


Edycja / Cofnij, Przywróć

Edycja / Wytnij, Kopiuj i Wklej

Opcja Wytnij usuwa aktualnie zaznaczony obiekt, fragment rysunku wybrany w obszarze rysowania, fazę/kilka faz lub klatkę/kilka klatek - w zależności od sytuacji - i umieszcza je w Schowku. Analogicznie opcja Kopiuj robi kopię rysunku, fazy lub klatki i umieszcza ją w Schowku. Opcja Wklej wstawia kopię zawartości Schowka w miejscu kursora. Jeśli wycięliśmy lub skopiowaliśmy klatkę, Wklej wstawi nową klatkę. Jeśli wycięliśmy lub skopiowaliśmy jedynie fragment rysunku, Wklej nałoży go jak łatę na klatkę.


Edycja / Wstaw nowy przed i Wstaw nowy po

Opcje Wstaw nowy przed i Wstaw nowy po wstawiają nową klatkę, jeśli były użyte w obszarze zarządzania klatkami, lub nową fazę w obszarze zarządzania fazami.


Edycja / Usuń

Opcja Usuń usuwa aktualny element, może to być faza, klatka lub fragment rysunku.


Edycja / Zaznacz wszystko

Opcja Zaznacz wszystko zaznacza wszystkie klatki, jeśli została użyta w obszarze zarządzania klatkami, wszystkie fazy przy użyciu w obszarze zarządzania fazami, lub wszystkie postaci w obszarze zarządzania postaciami. Można za jej pomocą zaznaczyć również całą zawartość aktualnie wyświetlanej klatki.


Menu Widok

Pasek narzędzi
Treść…
Przybornik…
Powiększenie…
Kolor…
Narzędzie…
Kolory
Lupa
Podgląd klatek
Wyświetl i wskaż zaczepienie
Podgląd


Widok / Pasek narzędzi

Opcja Pasek narzędzi pokazuje i chowa pasek narzędzi.


Widok / Treść...

Widok / Treść…

Opcja Treść… pokazuje i chowa okno Treści.


Widok / Przybornik...

Widok / Przybornik…

Opcja Przybornik… pokazuje i chowa okno Przybornika.


Widok / Powiększenie...

Widok / Powiększenie…

Opcja Powiększenie… pokazuje i chowa okno dialogowe Powiększenie.


Widok / Kolor...

Widok / Kolor…

Opcja Kolor… pokazuje i chowa okno dialogowe Kolor.


Widok / Narzędzie...

Widok / Narzędzie…

Opcja Narzędzie… pokazuje i chowa okno dialogowe Narzędzie.


Widok / Kolory

Opcja Kolory zawiera podmenu z trzema opcjami wyświetlania palety barw w oknie Przybornika. Jej działanie jest identyczne z działaniem menu podręcznego opisanego w części Podgląd koloru / Wybór koloru.


Widok / Lupa

Opis opcji Lupa znajdziesz na stronie Wybór powiększenia w części dotyczącej Przybornika.


Widok / Podgląd klatek

Opis opcji Podgląd klatek znajdziesz na stronie Podgląd sąsiednich klatek w części dotyczącej Przybornika.


Widok / Wyświetl i wskaż zaczepienie

Opcja Wyświetl i wskaż zaczepienie (F11) wyświetla aktualną pozycję punktu zaczepienia i zmienia kształt kursora myszy na biały krzyżyk. Kształt kursora sugeruje zmianę położenia punktu zaczepienia. Więcej szczegółów można znaleźć w części Okno dialogowe Zaczepienie.


Widok / Podgląd

Opcja Podgląd otwiera (i zamyka) obszar Podglądu, w którym możesz między innymi obejrzeć swoje rysunki i testować animacje.


Menu Rysowanie

Wygładzanie
Kształty, Stalówki, Narzędzia i Zaznaczenie
Wyczyść obraz


Rysowanie / Wygładzanie

Działanie opcji Wygładzanie jest identyczne jak działanie przycisku Wygładzanie.


Rysowanie / Kształty, Stalówki, Przybornik i Zaznaczenie

Rysowanie / Kształty, Stalówki, Narzędzia i Zaznaczenie

Szczegóły dotyczące tych podmenu są dostępne w częściach Kształty, Stalówki, Narzędzia i Zaznaczenie.


Rysowanie / Wyczyść obraz

Działanie opcji Wyczyść obraz jest identyczne jak działanie przycisku Wyczyść obraz w oknie Przybornika.


Menu Opcje

Fazy
Klatki
Atrybuty obrazu…
Minimalizuj
Spowolnienie…
Zaczepienie…
Dodaj klatki
Generuj…
Odwróć kolejność
Transformacje…


Opcje / Fazy

Opcja Fazy zawiera podmenu pozwalające na włączanie i wyłączanie cyklu animacji i kierunku postaci, oraz określenie orientacji. Zamień wszystkie na klatki zamienia wszystkie klatki wszystkich faz w jedną fazę złożoną z tych klatek. Te same opcje (oraz kilka dodatkowych) są dostępne w menu podręcznym w obszarze zarządzania fazami.


Opcje / Klatki

Opcja Klatki zawiera podmenu o działaniu przeciwnym do Zamień wszystkie na klatki. Zamienia wszystkie klatki wyświetlane aktualnie w obszarze zarządzania klatkami w oddzielne fazy.


Opcje / Atrybuty obrazu…

Opcja Atrybuty obrazu… otwiera okienko dialogowe Ustawienia.


Opcje / Minimalizuj

Opcja Minimalizuj redukuje aktualnie wyświetlaną klatkę poprzez usunięcie wszystkich zewnętrznych kolumn i wierszy złożonych w całości z przezroczystych punktów. Zauważmy, że operacja ta nie niszczy powiązań między rysunkiem a jego punktem zaczepienia (zobacz opis działania przycisku Minimalizuj rysunek na Pasku narzędzi).


Opcje / Spowolnienie…

Opcja Spowolnienie… pozwala określić czas wyświetlania dla wszystkich aktualnie zaznaczonych klatek, faz, a nawet całych postaci.

Zauważmy, że w tym oknie dialogowym możemy zarówno podać dokładną wartość spowolnienia dla wszystkich wybranych klatek, jak i procent np. 80% aby zwiększyć lub zmniejszyć początkowy czas wyświetlania zachowując proporcje.


Opcje / Zaczepienie...

Opcje / Zaczepienie…

Opcja Zaczepienie… otwiera okienko dialogowe Zaczepienie pozwalające określić punkt zaczepienia dla wszystkich zaznaczonych klatek (oraz postaci).


Opcje / Dodaj klatki

Opcja Dodaj klatki wstawia przejściowe klatki (rodzaj optycznej średniej) pomiędzy każdą parę kolejnych klatek w fazie.


Opcje / Generuj…

Opcja Generuj… otwiera okienko dialogowe Generuj.


Opcje / Odwróć kolejność

Opcja Odwróć kolejność odwraca kolejność wszystkich zaznaczonych klatek lub faz.


Opcje / Transformacje...

Opcje / Transformacje…

Opcja Transformacje… otwiera okienko dialogowe Transformacje.


Menu Pomoc

Menu Pomoc ma pomóc Ci w nauce o Edytorze postaci i jego możliwościach.


Pomoc / Tematy pomocy

Opcja Tematy pomocy otwiera okno Pomocy dla programu Edytor postaci.


Pomoc / Ostatnie informacje...

Pomoc / Ostatnie informacje…

Opcja Ostatnie informacje… otwiera stronę WWW zawierającą aktualne informacje o Edytorze postaci i Imagine.


Pomoc / O programie...

Pomoc / O programie…

Opcja O programie… otwiera okienko dialogowe O programie zawierające informacje o Edytorze postaci.


Pasek narzędzi...

Dostarcza skrótów do najczęściej stosowanych operacji. Każda spośród tych operacji jest dostępna w przynajmniej jeden inny sposób, najczęściej za pomocą opcji menu lub skrótów klawiszowych.

Otwórz plik postaci
Zapisz plik postaci
Wstaw nowy przed
Poprzednia klatka
Podgląd
Następna klatka
Wstaw nowy po
Usuń klatkę
Atrybuty obrazu
Minimalizuj rysunek
Zaczepienie
Treść
Przybornik
Powiększenie


Pasek narzędzi - Otwórz plik postaci (F3)

Przycisk ten odpowiada opcji Plik / Otwórz…. Opcja ta wyświetla standardowe okno dialogowe Otwórz rozszerzone przez aktywne podokno Podgląd do wyświetlania wybranego pliku LGW, LGF, IMP lub GIF. Domyślny folder zawierający pliki wyświetlane w oknie dialogowym jest określony w pliku LogoMotion.INI. Akceptowane formaty plików to: LGF, IMP, LGW, BMP, DIB, JPG, GIF, ANI, CUR, ICO, WMF, EMF, TGA i PNG.

Możliwe jest otwarcie kilku plików graficznych - albo przez jednoczesne wskazanie wielu nazw plików w oknie dialogowym Otwórz (jeśli wszystkie pliki znajdują się w tym samym folderze), albo przez powtarzanie wyboru opcji Plik / Otwórz lub wielokrotny wybór przycisku Otwórz plik postaci.


Pasek narzędzi - Zapisz plik postaci (F2)

Przycisk ten jest aktywny tylko wtedy, gdy przynajmniej jeden rysunek został wcześniej otwarty lub narysowany. Odpowiada on opcji Plik / Zapisz służącej do zapisania zawartości wybranego rysunku w pliku.

Jeśli zapisujemy nowy plik po raz pierwszy, pojawi się okno dialogowe Zapisz jako, w którym możemy podać nazwę naszego pliku. Później, opcja Zapisz automatycznie używa aktualnej nazwy pliku i nie żąda potwierdzenia przy zapisie. Jeśli chcemy zmienić nazwę pliku, jego format lub miejsce zapisu, powinniśmy wybrać z menu opcję Plik / Zapisz jako….

Rysunki możemy zapisywać w plikach w jednym z następujących formatów: LGF, BMP, DIB, JPG, ANI, CUR, ICO, GIF, TGA i PNG. Jeśli wybrany był więcej niż jeden plik, wszystkie zaznaczone rysunki zostaną połączone razem (o ile wybrany typ zapisywanego pliku na to pozwala) lub zostanie zapisana jedynie pierwsza klatka (np. przy zapisie w formacie BMP lub JPG).


Pasek narzędzi - Wstaw nowy przed

Po kliknięciu w przycisk Wstaw nowy przed nowa pusta klatka (takich samych rozmiarów i koloru) zostaje wstawiona przed aktualną klatką lub pierwszą z wybranych klatek (jeśli zaznaczona jest ich grupa). Następnie zostaje ona wyświetlona wewnątrz obszaru rysowania.


Pasek narzędzi - Poprzednia klatka

Przycisk Poprzednia klatka jest aktywny jedynie wtedy, gdy faza zawiera więcej niż jedną klatkę. Po kliknięciu w przycisk, aktualny wybór w obszarze zarządzania klatkami zostaje przesunięty o jedną klatkę w lewo (lub na ostatnią spośród klatek, jeśli aktualnie oglądaliśmy pierwszą). Po zmianie zaznaczenia zawartość odpowiedniej klatki pojawia się wewnątrz obszaru rysowania.


Pasek narzędzi - Podgląd (F9)

Zastępuje obszar rysunku przez obszar podglądu.


Pasek narzędzi - Następna klatka

Przycisk Następna klatka jest aktywny jedynie wtedy, gdy faza zawiera więcej niż jedną klatkę. Po kliknięciu w przycisk, aktualny wybór w obszarze zarządzania klatkami zostaje przesunięty o jedną klatkę w prawo (lub na pierwszą spośród klatek, jeśli aktualnie oglądaliśmy ostatnią). Po zmianie zaznaczenia zawartość odpowiedniej klatki pojawia się wewnątrz obszaru rysowania.


Pasek narzędzi - Wstaw nowy po (Ins)

Po kliknięciu w przycisk Wstaw nowy po nowa pusta klatka (takich samych rozmiarów i koloru) zostaje wstawiona za aktualną klatką lub ostatnią z wybranych klatek (jeśli zaznaczona jest ich grupa). Następnie zostaje ona wyświetlona wewnątrz obszaru rysowania.


Pasek narzędzi - Usuń klatkę (Del)

Po kliknięciu w przycisk Usuń klatkę aktualna klatka lub wybrana grupa klatek zostanie usunięta (bez możliwości odzyskania).


Pasek narzędzi - Atrybuty obrazu (Alt A)

Przycisk ten odpowiada opcji Opcje / Atrybuty obrazu…, otwiera okienko dialogowe Ustawienia.


Pasek narzędzi - Minimalizuj rysunek (Ctrl M)

Przycisk ten odpowiada opcji Opcje / Minimalizuj…. Redukuje aktualnie wyświetlaną klatkę poprzez usunięcie wszystkich zewnętrznych kolumn i wierszy złożonych w całości z przezroczystych punktów. Zauważmy, że operacja ta nie niszczy powiązań między rysunkiem a jego punktem zaczepienia, jedynie usuwa nadmiar przezroczystego otoczenia rysunku, zmniejszając w ten sposób jego rozmiar oraz wielkość pliku.


Pasek narzędzi - Zaczepienie (F11)

Przycisk ten odpowiada opcji Opcje / Zaczepienie…. Włącza i wyłącza tryb, w którym aktualny punkt zaczepienia jest zaznaczony w obszarze rysunku za pomocą białego krzyżyka. Dodatkowo kształt kursora myszy zmienia się w sposób ułatwiający wskazywanie nowego punktu zaczepienia. Zauważmy, że możliwe jest definiowanie nowego punktu zaczepienia zarówno wewnątrz jak i na zewnątrz postaci.

Punkt zaczepienia możemy również wskazać korzystając z opcji Opcje / Zaczepienie… lub za pomocą skrótu klawiszowego Alt Z. W obu tych przypadkach, zostanie wyświetlone okno dialogowe Zaczepienie. Możliwe jest równoczesne wskazanie punktu zaczepienia dla kilku klatek.


Pasek narzędzi - Treść (F4)

Przycisk ten otwiera i zamyka okno Tresci, odpowiada opcji Widok / Treść….


Pasek narzędzi - Przybornik (F5)

Pokazuje i chowa okno Przybornika, odpowiada opcji Widok / Przybornik….


Pasek narzędzi - Powiększenie (F6)

Pokazuje i chowa okno dialogowe Powiększenie, odpowiada opcji Widok / Powiększenie….


Obszar Rysowania / Podglądu

Środkową część okna Edytora postaci stanowi:

  • aktualnie wybrana klatka postaci - powiększona lub w normalnym rozmiarze, jest ona wówczas nazywana obszarem rysowania.
  • podgląd animacji aktualnie wybranej fazy, tzn. rodzaj animowanego filmu złożonego ze wszystkich (lub kilku) klatek edytowanej postaci; jest ona wówczas nazywana obszarem podglądu.

Przełączanie pomiędzy obszarem rysowania a podglądem jest możliwe poprzez:

  • naciśnięcie klawisza funkcyjnego F9,
  • naciśnięcie przycisku Podgląd aby otworzyć podgląd rysunku lub przycisku Zakończ podgląd aby powrócić do obszaru rysowania,
  • wybranie opcji Widok / Podgląd.


Obszar rysowania

Obszar rysowania jest przykryty klatką - powiększoną lub w normalnym rozmiarze - wybranej aktualnie fazy postaci.

Wewnątrz tego obszaru możemy tworzyć lub zmieniać rysunki kreśląc, kolorując, kopiując / wycinając/ wklejając grafikę, wypełniając obszary, pisząc teksty itp. Możemy również pobrać dowolny kolor z obszaru rysunku do późniejszego kreślenia.

Przy powiększeniu 400% lub większym, siatka punktów staje się widoczna (chyba, że wyłączymy tę możliwość w oknie dialogowym Powiększenie). Jeśli część spośród tych punktów jest przezroczysta, to rozróżniamy je od pozostałych po kropce w środku (również widocznej jedynie przy powiększeniu 400% lub wyższym). Jeśli nie chcemy ich widzieć, powinniśmy odznaczyć opcję Pokaż przezroczyste w oknie dialogowym Powiększenie.

Gdy widoczny jest obszar rysowania możemy wybrać dowolne spośród narzędzi z Przybornika i użyć go, możemy zmniejszać i powiększać jego zawartość, zmienić Atrybuty obrazu lub przenieść punkt zaczepienia. Możemy również przełączyć ten obszar na obszar podglądu. Przy bardzo dużych rysunkach wyświetlanych i używanych w dużym powiększeniu, jedynie część rysunku jest widoczna w obszarze rysowania. Do zarządzania całym rysunkiem należy używać pasków przewijania lub specjalnego wskaźnika w oknie dialogowym Powiększenie.


Obszar podglądu

Przełączanie pomiędzy obszarem rysowania a podglądem jest możliwe poprzez:

  • naciśnięcie klawisza F9, lub
  • wybranie opcji Widok / Podgląd na pasku menu, lub
  • naciśnięcie przycisku Podgląd na pasku narzędzi.

Tryb ten pozwala w Edytorze postaci na:

  • testowanie animowanych postaci (wszystkie ich fazy są zawsze w normalnym rozmiarze),
  • badanie i modyfikowanie ich spowolnienia,
  • testowanie pozycji punktów zaczepienia,
  • uruchamianie animacji w odwrotnym porządku,
  • umieszczanie obrazka jako tła pod spodem animowanej postaci,
  • wybranie koloru tła animowanej postaci (chyba że wcześniej wybraliśmy rysunek wyświetlany jako tło).

Aby zamknąć obszar podglądu i przywrócić poprzednią zawartość obszaru rysowania należy:

  • nacisnąć ponownie przycisk F9, lub
  • wybrać ponownie opcję Widok / Podgląd na pasku menu (usuniemy w ten sposób znacznik przy tej opcji), lub
  • nacisnąć przycisk Zakończ podgląd na pasku narzędzi.

Przy przejściu do podglądu przy jednej fazie wybranej w oknie Treści, wszystkie jej klatki zostaną kolejno wyświetlone. Przy przejściu do trybu podglądu przy zaznaczonych kilku fazach, wszystkie ich klatki zostaną sklejone razem w jeden ciąg obrazów i wyświetlone. Jednak włączenie trybu podglądu w chwili, gdy w obszarze zarządzania klatkami wybranych jest kilka klatek, spowoduje utworzenie wyświetlanej sekwencji ałożonej jedynie z tych właśnie klatek.


Pasek podglądu

W trybie podglądu, główny Pasek narzędzi zostaje zastąpiony przez Pasek podglądu:

Elementami paska podglądu są:

  • Klatka: <numer> - zawiera informację o tym, która klatka jest aktualnie wyświetlana.
  • Pięć przycisków:
    • Odtwarzaj wstecz
    • Krok wstecz
    • Zakończ podgląd
    • Krok
    • Odtwarzaj
  • Suwak pokazujący ile klatek zostało już obejrzanych i która z nich jest aktualnie wyświetlana. Ciągnąc myszką za pasek suwaka możemy ręcznie wybrać klatkę do wyświetlania.
  • Prędkość: <liczba>% z dwoma strzałkami Zwolnij i Przyśpiesz. Kliknięcie w strzałkę powoduje równomierne zwiększenie (dla Zwolnij) lub zmniejszenie (dla Przyśpiesz) wszystkich spowolnień, tzn. z zachowaniem proporcji pomiędzy nimi.


Pasek podglądu - Przycisk Odtwarzaj wstecz

Przycisk ten odtwarza tę samą sekwencję klatek co przycisk Odtwarzaj, ale w odwrotnym porządku (używając tego samego mechanizmu spowolnienia). Odwrócony porządek klatek jest również ilustrowany za pomocą suwaka na Pasku podglądu. Jeśli oglądana postać ma włączoną opcję Cykl i nacisnęliśmy przycisk Odtwarzaj wstecz, to ciąg klatek będzie nieustannie odtwarzany wstecz.


Pasek podgląu - Przycisk Krok wstecz

Jeśli jesteśmy w trybie odtwarzania lub odtwarzania wstecz i nacisnęliśmy ten przycisk, to pętla odtwarzania zostanie przerwana. Każde kliknięcie tego przycisku powoduje ręczne wyświetlenie poprzedniej klatki (ignorując odpowiadające jej spowolnienie). Jeśli widoczna jest pierwsza klatka, kolejne kliknięcie przycisku Krok wstecz wyświetli ostatnią klatkę - nawet przy wyłączonym cyklu.


Pasek podglądu - przycisk Zakończ podgląd

Kończy tryb podglądu i przywraca poprzednią zawartość obszaru rysowania.


Pasek podgląu - Przycisk Krok

Jeśli jesteśmy w trybie odtwarzania lub odtwarzania wstecz i nacisnęliśmy ten przycisk, to pętla odtwarzania zostanie przerwana. Każde kliknięcie tego przycisku powoduje ręczne wyświetlenie następnej klatki (ignorując odpowiadające jej spowolnienie). Jeśli widoczna jest ostatnia klatka, kolejne kliknięcie przycisku Krok wyświetli pierwszą klatkę - nawet przy wyłączonym cyklu.


Pasek podglądu - Przycisk Odtwarzaj

Kliknięcie tego przycisku powoduje odtworzenie całej grupy klatek wybranych w oknie Treści. Odpowiadające im spowolnienie zostaje wykorzystane do określenia, jak długo każda klatka ma być widoczna, zanim zostanie zastąpiona następną.

Przy włączonej opcji cykl, po wciśnięciu przycisku Odtwarzaj, ciąg klatek będzie nieustannie wyświetlany.


Ustalanie położenia rysunku

Kliknięcie lewym przyciskiem myszy w obszarze podglądu spowoduje:

  • Jeśli kliknęliśmy w dowolnym punkcie obszaru podglądu lewym przyciskiem myszy i natychmiast go zwolniliśmy, oglądana postać skoczy do wskazanego miejsca (dokładniej, postać zostanie przesunięta w taki sposób, by jej punkt zaczepienia był zgodny z miejscem kliknięcia myszką).
  • Jeśli kliknęliśmy w obszarze podglądu i przesunęliśmy kursor myszy nie zwalniając przycisku, postać skoczy do wskazanego miejsca i będzie poruszała się śladem kursora myszy. W ten sposób możemy umieścić postać w dowolnym punkcie obszaru.
  • Przy wciśniętym klawiszu Ctrl i ciągnięciu myszką, postać najpierw skoczy do pozycji początkowego kliknięcia i pozostanie w tym miejscu. Szara strzałka, o początku w tym punkcie, będzie rysowana zgodnie z ruchem kursora myszy.

Po zwolnieniu przycisku myszy, strzałka ta jest wykorzystywana do określenia ruchu animowanej postaci na ekranie. Jej wielkość określa prędkość ruchu postaci (krok dla polecenia Imagine naprzód dzielony przez liczbę klatek), zaś jej kierunek określa kierunek ruchu. Przy kolejnym kliknięciu przesuwanie odtwarzanej postaci zostanie przerwane.


Menu obszaru podglądu

Kliknięcie prawym przyciskiem myszy w obszarze podglądu otwiera podręczne menu zawierające dwie opcje:

  • Kolor tła… otwiera paletę barw, którą możemy wykorzystać do ustalenia koloru tła obszaru podglądu. Pozwala nam to zobaczyć, jak nasza postać będzie wyglądała na danym tle. Zauważmy, że kolor tła podglądu nie jest częścią postaci i jest niezależny od aktualnego koloru papieru.
  • Wczytaj tło… otwiera okno dialogowe Otwórz, które możemy wykorzystać do określenia pliku wyświetlanego jako tło obszaru podglądu. Jeśli wybrany rysunek jest mniejszy od obszaru podglądu, zostanie umieszczony w jego środku. Pozwala nam to zorientować się jak nasza postać będzie wyglądała w Imagine na tle wybranego rysunku. Zauważmy, że rysunek wyświetlany w tle obszaru podglądu nie jest częścią postaci i jest niezależny od aktualnego koloru papieru.


Treść…

Okno Treści jest głównym oknem Edytora postaci. Pomaga zarządzać wszystkimi otwartymi postaciami (i innymi plikami). Dla wybranej postaci umożliwia porządkowanie wszystkich jej faz, dla wybranej fazy - wszystkich klatek.

Okno Treści może być zamknięte lub otwarte przez naciśnięcie klawisza F4 lub wybranie opcji Widok / Treść. Możemy je umieścić w dowolnym miejscu ekranu lub zadokować (przykleić) przy dolnej lub górnej krawędzi głównego okna aplikacji.

Okno Treści składa się z trzech części przedstawionych na diagramie powyżej:

  • obszaru zarządzania fazami.
  • obszaru zarządzania klatkami.
  • obszaru zarządzania postaciami.

Działanie niektórych poleceń zależy od tego, która z tych części jest aktywna.

W oknie Treści możemy zmieniać kolejność otwartych postaci, kolejność faz postaci lub klatek w danej fazie. Dodatkowo możliwe jest wykonywanie operacji i transformacji na jednym lub kilku wybranych elementach (postaciach, fazach lub klatkach).

Możemy określić cykl, kierunek, orientację i inne właściwości każdej postaci lub po prostu wybrać postać, jedną z jej faz lub klatek, do rysowania i poprawiania w obszarze rysowania.


Obszar zarządzania fazami

Obszar zarządzania fazami jest widoczny z lewej strony okna Treści, pod zakładkami z nazwami otwartych rysunków. Jeśli wybraliśmy konkretną postać, poszczególne jej fazy są widoczne jako "kompas" podzielony na kilka części lub lista nazw faz z małymi ikonami:

W powyższym przykładzie obie postaci składają się z 6 klatek, w pierwszej z nich poszczególne fazy służą do wyznaczania kierunku, w drugiej stanowią po prostu ponumerowany zbiór animacji.


Menu obszaru zarządzania fazami

Kliknięcie prawym przyciskiem myszy w obszarze zarządzania fazami powoduje wyświetlenie podręcznego menu:

Z jego pomocą możemy:

  • włączyć lub wyłączyć cykl (powtarzanie animacji) wybranej postaci.
  • włączyć lub wyłączyć kierunek (fazy służą do wskazywania kierunku żółwia) wybranej postaci.
  • ustalić nową wartość orientacji wybranej postaci.
  • przekształcić fazy na klatki. Polecenie to zamieni wszystkie fazy postaci w pojedynczą fazę złożoną ze wszystkich klatek. Uwaga, polecenie to nie może być cofnięte za pomocą opcji Cofnij / Przywróć, jedynym sposobem jest ręczny podział fazy na kilka faz i przekopiowanie do nich odpowiednich klatek.
  • zmienić strukturę postaci za pomocą poleceń z podmenu Edycja. Konkretnie, możemy:
    • wyciąć zaznaczone fazy i umieścić je w Schowku.
    • skopiować zaznaczone fazy do Schowka.
    • wkleić zawartość Schowka przed lub za zaznaczoną fazą.
    • wstawić nową pustą fazę przed lub za wybraną fazą.
    • usunąć zaznaczone fazy.
    • wybrać wszystkie fazy do dalszych operacji.
  • wykonać złożone operacje na wszystkich klatkach zaznaczonych faz za pomocą poleceń z podmenu Opcje. Konkretnie, możemy:
    • otworzyć okno dialogowe Ustawienia i określić atrybuty obrazu dla wszystkich klatek we wszystkich wybranych fazach.
    • zminimalizować wszystkie klatki we wszystkich wybranych fazach.
    • określić wspólne spowolnienie dla wszystkich klatek we wszystkich wybranych fazach.
    • określić punkt zaczepienia dla wszystkich klatek we wszystkich wybranych fazach.
    • wstawić dodatkowe klatki (będące czymś w rodzaju optycznej średniej) pomiędzy każdą parę kolejnych klatek w fazie.
    • otworzyć okno dialogowe Generuj i zastosować jego operacje do wszystkich klatek we wszystkich wybranych fazach.
    • odwrócić kolejność wszystkich klatek we wszystkich wybranych fazach.
    • otworzyć okno dialogowe Transformacje i zastosować jego operacje do wszystkich klatek we wszystkich wybranych fazach.


Jak zarządzać fazami

Jeśli nie otwarto żadnego rysunku lub wybrano kilka postaci to obszar zarządzania fazami jest pusty. Wybranie jednej postaci w oknie Treści oznacza wystąpienie jednej z poniższych sytuacji:

Obszar zarządzania fazami nieaktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybranych kilka faz
Obszar zarządzania fazami aktywny, wybrane wszystkie fazy
Ręczny tryb faz, wybrana jedna faza
Ręczny tryb faz, wybrane kilka faz


Obszar zarządzania fazami nieaktywny, wybrana jedna faza

Aktywna jest inna część edytora, na przykład obszar rysunku lub obszar zarządzania klatkami. Widzimy, że fazy służą do wskazywania kierunku, wybrana jest dokładnie jedna z nich, a wszystkie tworzące ją klatki są widoczne w obszarze zarządzania klatkami. Dodatkowo orientacja postaci jest ustawiona na -15° (zamiast domyślnej wartości 0°).

Zobacz również:

Obszar zarządzania fazami aktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybranych kilka faz
Obszar zarządzania fazami aktywny, wybrane wszystkie fazy
Ręczny tryb faz, wybrana jedna faza
Ręczny tryb faz, wybrane kilka faz


Obszar zarządzania fazami aktywny, wybrana jedna faza

Jeśli obszar zarządzania fazami jest aktywny - zmienia się kolor wybranej fazy i pojawia się dodatkowy wycinek okręgu. Obszar ten uaktywniamy zwykłym kliknięciem myszką. Jeśli klikniemy w pole z wartością orientacji, zamieni się ona w pole edycyjne, pozwalając na wprowadzenie nowej wartości.

Ciągnąc za oznaczoną (ciemnoniebieską) część koła obracamy całe koło, możemy w ten sposób zmieniać orientację postaci. Przeciągając dodatkowy wycinek okręgu (jasnoniebieski), możemy wyciąć fazę z jej bieżącego położenia i przenieść na nową pozycję pośród faz postaci. Bieżący punkt wstawienia jest przedstawiony w postaci krótkiej czarnej linii.

Zaznaczoną fazę możemy również Wyciąć lub Skopiować do Schowka, a następnie Wkleić w nowym miejscu danej lub innej postaci. Zawartość Schowka możemy wkleić albo jako nową fazę, albo jako klatki w obszarze zarządzania klatkami.

Zobacz również:

Obszar zarządzania fazami nieaktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybranych kilka faz
Obszar zarządzania fazami aktywny, wybrane wszystkie fazy
Ręczny tryb faz, wybrana jedna faza
Ręczny tryb faz, wybrane kilka faz


Obszar zarządzania fazami aktywny, wybranych kilka faz

Jeśli obszar zarządzania fazami jest aktywny - zmienia się kolor wybranych faz i pojawią się dodatkowe wycinki okręgu. Obszar ten uaktywniamy zwykłym kliknięciem myszką.

Kilka kolejnych faz możemy zaznaczyć wskazując myszką pierwszą z nich, przytrzymując klawisz Shift i klikając ostatnią spośród wybieranych faz. Wszystkie fazy pomiędzy pierwszą i ostatnią, zgodnie z ruchem wskazówek zegara, zostaną zaznaczone. Zaznaczanie faz, które ze sobą nie sąsiadują nie jest możliwe.

Kiedy zaznaczymy kilka faz, prawa część okna Treści jest pusta. Podobnie nic nie jest wyświetlane w obszarze rysowania, chyba, że jesteśmy w trybie podglądu.

Ciągnąc za oznaczoną (ciemnoniebieską) część koła obracamy całe koło, możemy w ten sposób zmieniać orientację postaci. Przeciągając dodatkowe wycinki okręgu (jasnoniebieskie), możemy wyciąć wybrane fazy z ich bieżącego położenia i przenieść na nową pozycję pośród faz postaci. Bieżący punkt wstawienia jest przedstawiony w postaci krótkiej czarnej linii.

Zaznaczone fazy możemy również Wyciąć lub Skopiować do Schowka, a następnie Wkleić w nowym miejscu danej lub innej postaci. Zawartość Schowka możemy wkleić albo jako nowe fazy, albo jako klatki w obszarze zarządzania klatkami.

Zobacz również:

Obszar zarządzania fazami nieaktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybrane wszystkie fazy
Ręczny tryb faz, wybrana jedna faza
Ręczny tryb faz, wybrane kilka faz


Obszar zarządzania fazami aktywny, wybrane wszystkie fazy

Jeśli obszar zarządzania fazami jest aktywny - zmieni się kolor wszystkich faz i pojawi się dodatkowy okrąg. Obszar ten uaktywniamy zwykłym kliknięciem myszką. Wybór wszystkich faz postaci jest możliwy w jeden z następujących sposobów:

  • naciśnięcie kombinacji klawiszy Ctrl A, lub
  • wybranie opcji Edycja / Zaznacz wszystko w podręcznym menu obszaru zarządzania fazami, lub
  • kliknięciu dowolnej fazy, a następnie przytrzymaniu klawisza Shift i kliknięciu fazy po jej lewej stronie (fazy poprzedniej).

Kiedy zaznaczymy wszystkie fazy, prawa część okna Treści jest pusta. Podobnie nic nie jest wyświetlane w obszarze rysowania, chyba, że jesteśmy w trybie podglądu.

Każda z wykonywanych teraz operacji (na przykład za pomocą podręcznego menu) dotyczy wszystkich klatek należących do wszystkich faz postaci.

Zobacz również:

Obszar zarządzania fazami nieaktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybranych kilka faz
Ręczny tryb faz, wybrana jedna faza
Ręczny tryb faz, wybrane kilka faz


Tryb kierunek, wybrana jedna faza

Ręczny tryb faz, wybrana jedna faza

Aby przełączyć obszar zarządzania fazami w tryb kierunku (tryb w którym każda z faz jest wykorzystywana przez Imagine do obrazowania kierunku ruchu żółwia) należy kliknąć prawym przyciskiem myszy w tej części okna Treści i w pojawiającym się podręcznym menu włączyć opcję Kierunek.

W powyższym przykładzie (wyłączony tryb kierunek - ustawiona ręczna zmiana faz) wybrana jest jedna faza, której klatki są wyświetlone w prawej części okna Treści.

Możemy łatwo zmieniać kolejność faz przeciągając wybraną fazę na nową pozycję. Przy przesunięciu kursora myszki, miejsce wstawienia fazy jest oznaczone za pomocą czarnej poziomej linii. Zwolnienie przycisku myszy powoduje wstawienie fazy na nową pozycję i przenumerowanie faz: Faza 1, Faza 2 itd.

Zobacz również:

Obszar zarządzania fazami nieaktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybranych kilka faz
Obszar zarządzania fazami aktywny, wybrane wszystkie fazy
Ręczny tryb faz, wybrane kilka faz


Tryb kierunek, wybrane kilka faz

Ręczny tryb faz, wybrane kilka faz

Aby przełączyć obszar zarządzania fazami w tryb kierunku (tryb w którym każda z faz jest wykorzystywana przez Imagine do obrazowania kierunku ruchu) żółwia należy kliknąć prawym przyciskiem myszy w tej części okna Treści i w pojawiającym się podręcznym menu włączyć opcję Kierunek.

Zaznaczenie kolejnych faz (w ręcznym trybie faz) polega na wskazaniu pierwszej z nich, a następnie przytrzymaniu klawisza Shift i kliknięciu ostatniej z wybieranych faz.

Wybór wszystkich faz postaci jest możliwy w jeden z następujących sposobów:

  • naciśnięcie kombinacji klawiszy Ctrl A, lub
  • wybranie opcji Edycja / Zaznacz wszystko w podręcznym menu obszaru zarządzania fazami, lub
  • kliknięciu dowolnej fazy, a następnie przytrzymaniu klawisza Shift i kliknięciu fazy po jej lewej stronie (fazy poprzedniej).

Każda z wykonywanych teraz operacji (na przykład za pomocą podręcznego menu) dotyczy wszystkich klatek należących do wszystkich faz postaci.

Zobacz również:

Obszar zarządzania fazami nieaktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybrana jedna faza
Obszar zarządzania fazami aktywny, wybranych kilka faz
Obszar zarządzania fazami aktywny, wybrane wszystkie fazy
Ręczny tryb faz, wybrana jedna faza


Obszar zarządzania klatkami

Jest to część okna Treści służąca do zarządzania klatkami aktualnie wybranej fazy. Jeśli faza składa się z kilku klatek, wykorzystanie jej jako postaci żółwia spowoduje ich automatyczne odtwarzanie jak animowanego filmu. Animacja może być odtwarzana w sposób ciągły (jeśli włączona jest opcja cykl) lub jednorazowo. Odtwarzanie animacji nie zależy od tego, czy fazy postaci są wykorzystywane do wskazywania kierunku żółwia, czy nie.

Domyślny żółw posiada jedynie jedną klatkę dla każdej z 24 faz, wykorzystywanych do wskazywania kierunku, zatem dla niego nie jest automatycznie wyświetlana żadna animacja.


Menu obszaru zarządzania klatkami

Jeśli klikniemy prawym przyciskiem myszy w obszarze zarządzania klatkami, pojawi się następujące podręczne menu:

  • Możemy skorzystać z opcji Zamień wszystkie na fazy. Wszystkie klatki wybranej fazy zostaną zamienione na jedno-klatkowe fazy zastępując przekształcana fazę. Obszar zarządzania klatkami będzie pusty, zaś nowo utworzone fazy zostaną zaznaczone w obszarze zarządzania fazami.
  • podmenu Edycja jest identyczne jak podmenu Edycja obszaru zarządzania fazami, jedyna różnica polega na tym, że podczas gdy w obszarze zarządzania fazami opcje takie jak Wytnij lub Wklej dotyczą wybranych faz, tutaj te same operacje zostaną wykonane na zaznaczonych klatkach.
  • podmenu Opcje jest identyczne jak podmenu Opcje obszaru zarządzania fazami, jedyna różnica polega na tym, że podczas gdy w obszarze zarządzania fazami opcje takie jak Atrybuty obrazu lub Minimalizuj dotyczą wybranych faz, tutaj te same operacje zostaną wykonane na zaznaczonych klatkach.

Menu Edycja i Opcje pozwalają wykonywać złożone operacje na kilku klatkach równocześnie.


Jak zarządzać klatkami

Aktywny obszar zarządzania klatkami, wybrana jedna klatka
Aktywny obszar zarządzania klatkami, wybrane kilka klatek


Aktywny obszar zarządzania klatkami, wybrana jedna klatka

Jeśli aktywny jest obszar zarządzania klatkami, zmienia się kolor oznaczenia wybranej klatki, a jej powiększenie jest widoczne w obszarze rysowania.

Możemy łatwo zmieniać kolejność klatek poprzez przeciąganie zaznaczonej klatki na nowa pozycję. Podczas przemieszczania kursora myszki, miejsce wstawienia klatki jest oznaczone za pomocą pionowej czarnej linii. Zwolnienie przycisku myszy powoduje umieszczenie klatki we wskazanym położeniu.

Możemy również Wyciąć lub Skopiować wybraną klatkę do Schowka, a następnie Wkleić ją jako klatkę, lub w obszarze zarządzania fazami jako nową fazę jedno-klatkową.

Pod każdą klatką widoczne jest jej spowolnienie. Jeśli klikniemy w mały niebieski prostokąt pod wybraną klatką, zmieni się on w pole edycyjne, w którym będziemy mogli podać nowy czas wyświetlania klatki podczas animacji.

To samo możemy osiągnąć wybierając opcję Opcje / Spowolnienie… z podręcznego menu lub naciskając kombinację klawiszy Alt S. W każdym z tych przypadków zostanie wyświetlone okno dialogowe Spowolnienie.

Zobacz również:

Aktywny obszar zarządzania klatkami, wybrane kilka klatek


Aktywny obszar zarządzania klatkami, wybrane kilka klatek

Jeśli aktywny jest obszar zarządzania klatkami, zmienia się kolor oznaczenia wybranych klatek.

Możemy zaznaczyć kilka klatek w obszarze zarządzania klatkami przez kliknięcie w pierwszą z nich, przytrzymanie klawisza Shift i kliknięcie w ostatnią z zaznaczanych klatek. Możliwe jest również zaznaczenie wszystkich klatek przez wybranie opcji Edycja / Zaznacz wszystko w podręcznym menu lub wciśnięcie kombinacji klawiszy Ctrl A. Przy wybraniu więcej niż jednej klatki, obszar rysowania jest pusty, chyba, że jesteśmy w trybie podglądu.

Kolejność klatek w fazie możemy zmienić przez przeciąganie zaznaczonej grupy do nowej pozycji. Możemy Wyciąć lub Skopiować grupę klatek do Schowka, a następnie Wkleić je jako klatki lub, w obszarze zarządzania fazami jako nowe jedno-klatkowe fazy.

Zobacz również:

Aktywny obszar zarządzania klatkami, wybrana jedna klatka


Obszar zarządzania postaciami

Edytor postaci pozwala na równoczesne otwarcie kilku plików graficznych (dowolnego dopuszczalnego typu). Następnie możemy kopiować część rysunku do innego pliku, zmieniać kilka postaci w ten sam sposób, lub nawet wykonać te same złożone operacje na wszystkich klatkach tych postaci równocześnie.

Każdy otwarty plik graficzny jest reprezentowany przez własną zakładkę w oknie Treści. Zakładki zawierają nazwy plików.

Uwaga dla zaawansowanych użytkowników: Każdy plik postaci LGF może zawierać więcej niż jedną postać. Przy wczytywaniu takiego pliku, każda postać otrzyma swoją własną zakładkę i zostanie oddzielona od pozostałych. Żeby zapisać kilka postaci w jednym pliku należy je wszystkie zaznaczyć, a następnie zapisać za pomocą opcji Zapisz jako... z podręcznego menu.


Menu obszaru zarządzania postaciami

Jeśli klikniemy prawym przyciskiem myszki w obszarze zarządzania postaciami otworzy się podręczne menu zawierające następujące opcje:

  • pierwsze pięć opcji jest identyczne jak pięć pierwszych opcji menu Plik w głównym menu.
  • podmenu Edycja jest identyczne jak podmenu Edycja obszaru zarządzania fazami, jedyna różnica polega na tym, że operacje dotyczą całej postaci. Po wybraniu opcji Zaznacz wszystko zostaną wybrane wszystkie zakładki. Po Skopiowaniu postaci możemy:
    • wkleić ją w obszarze zarządzania postaciami, spowoduje to dodanie nowej zakładki (lub zakładek) zawierających dokładne kopie zaznaczonej postaci.
    • wkleić ją w obszarze zarządzania fazami, wszystkie fazy wszystkich zaznaczonych postaci zostaną wklejone w tym miejscu.
    • wkleić ją w obszarze zarządzania klatkami, wszystkie klatki ze wszystkich faz wszystkich zaznaczonych postaci zostaną wklejone w tym miejscu.
  • podmenu Opcje jest identyczne jak podmenu Opcje obszaru zarządzania fazami, jedyna różnica polega na tym, że operacje dotyczą całej postaci.


Jak zarządzać postaciami

Wybranie pojedynczej postaci
Wybranie kilku postaci


Wybranie pojedynczej postaci

Na rysunku powyżej została wybrane jedna z otwartych postaci. W obszarze zarządzania fazami jest wybrana pierwsza faza postaci, zaś w obszarze zarządzania klatkami wyświetlone są wszystkie tworzące ją klatki.

Możemy łatwo zmieniać kolejność postaci przeciągając reprezentującą ją zakładkę do nowej pozycji. Przy przemieszczaniu kursora myszki, nowa pozycja zakładki jest obrazowana przez pionową czarną linię. Zwolnienie przycisku myszki powoduje wstawienie postaci we wskazanym miejscu.

Możemy również Wyciąć lub Skopiować całą postać do Schowka, a następnie Wkleić ją jako kopię wybranej postaci lub, w obszarze zarządzania fazami jako nowe fazy, albo w obszarze zarządzania klatkami - gdzie zostaną wstawione wszystkie klatki ze wszystkich faz postaci.

Zobacz również:

Wybranie kilku postaci


Wybranie kilku postaci

Możliwe jest zaznaczenie kilku postaci przez wskazanie ich przy wciśniętym klawiszu Shift. W tym przypadku ani fazy ani klatki nie będą wyświetlane w oknie Treści.

Możemy przeciągać całą grupę postaci, by zmienić kolejność zakładek. Wykonanie dowolnej opcji z podręcznego menu będzie dotyczyło wszystkich wybranych postaci. Wybranie opcji Zapisz lub Zapisz jako spowoduje zapisanie wszystkich zaznaczonych postaci w jednym pliku.

Jeśli wybierzemy kilka postaci i przejdziemy do trybu podglądu, wszystkie klatki z ich wszystkich faz zostaną sklejone w jeden długi ciąg klatek i odtworzone jako animowany film.

Zobacz również:

Wybranie pojedynczej postaci


Przybornik

Narzędzia do kreślenia dostępne są za pomocą :

  • przycisków w oknie Przybornika, lub
  • opcji Rysowanie w głównym menu.

Okno przybornika możemy otworzyć przez:

  • wybranie opcji Widok / Przybornik…, lub
  • naciśnięcie klawisza funkcyjnego F5, lub
  • naciśnięcie przycisku Przybornik na pasku narzędzi.

Przybornik może być wyświetlony jako samodzielne okno w dowolnym miejscu ekranu lub zostać zadokowany (przyklejony) z lewej lub prawej strony okna Edytora postaci.

Aby zamknąć okno Przybornika należy:

  • kliknąć w mały krzyżyk w prawym górnym rogu, lub
  • ponownie kliknąć w przycisk Przybornik na pasku narzędzi, lub
  • ponownie nacisnąć klawisz F5.

Przybornik zostanie zadokowany (przyczepiony do krawędzi okna programu) jeśli przeciągniemy jego okno za pasek tytułu tak, by dotknął górnego lewego lub prawego rogu głównego okna programu. Przybornik możemy zamienić ponownie w samodzielne okienko po chwyceniu za parę poziomych linii na górze Przybornika i przeciągnięciu go do innej pozycji.


Grupy narzędzi przybornika

Wszystkie przybory do rysowania są podzielone na 12 grup:

Wygładzanie
Nowy fragment
Wybór powiększenia
Podgląd sąsiednich klatek
Kształty
Stalówki
Narzędzia
Cofnij / Przywróć
Wyczyść rysunek
Podgląd wybranego koloru / Weź kolor
Paleta barw
Przezroczystość pióra


Wygładzanie

Wybranie tego przycisku powoduje włączanie i wyłączanie mechanizmu wygładzania krawędzi. Wygładzanie powoduje, że brzegi kształtów, linii, liter, okręgów itp. stają się mniej poszarpane poprzez dodanie punktów o różnym stopniu rozjaśnienia (częściowej przezroczystości) wybranej barwy.

Radzimy zawsze używać tego mechanizmu, poza przypadkami, gdy rzeczywiście zależy nam na ostrych krawędziach rysunku. Ilustracja poniżej przedstawia pary obiektów (liter, elips, linii). Obiekty na górze powstały przy wyłączonym mechanizmie wygładzania, obiekty na dole - przy włączonym. Para dużych niebieskich liter demonstruje różnice między tymi obiektami w powiększeniu. Ostatni z obiektów pokazuje, w jaki sposób wygładzanie może poprawić zarys kształtu otrzymanego przez obracanie obiektu. Jeśli umieścimy pierwszy obracany kształt na ciemnym tle, zauważymy wiele jasnych punktów "zmiękczających" krawędzie.


Nowy fragment

Za pomocą tego przycisku możemy włączać i wyłączać tryb wyboru zaznaczenia. W trybie tym kursor myszy zmienia się i pozwala na wybranie fragmentu rysunku poprzez rozciąganie prostokątnego obszaru zaznaczenia (pierwszy rysunek koguta).

Po zdefiniowaniu fragmentu rysunku możemy:

  • przed przesunięciem zaznaczonego obszaru z jego bieżącej pozycji, przedefiniować granice i pozycję prostokąta ograniczającego wybrany fragment (czyli przesunąć same brzegi, nie zmieniając zawartości prostokąta). Należy przytrzymać klawisz Shift (prostokąt ograniczający zaznaczenie zmieni się w sposób przedstawiony na drugim rysunku koguta). Możemy teraz przeciągnąć jeden z ośmiu kwadratowych znaczników, aby powiększyć prostokąt, albo przesuwać go wewnątrz obszaru rysowania ciągnąc za krawędź lub wnętrze (za pomocą myszki lub klawiszy ze strzałkami na klawiaturze);
  • przesunąć zaznaczony fragment rysunku na nową pozycję;
  • przesunąć kopię zaznaczonego fragmentu rysunku (przytrzymując klawisz Ctrl), zostawiając w miejscu początkowym odbitkę przesuwanego obszaru;
  • ciągnąc za jeden z ośmiu kwadratowych znaczników zmienić wielkość zaznaczenia (deformując rysunek);
  • dwukrotnym kliknięciem myszy przejść do trybu obracania rysunku (znaczniki przyjmą kształt okręgów - trzeci rysunek koguta);
  • ponownym podwójnym kliknięciem myszy wewnątrz obszaru zaznaczenia (ostatni rysunek koguta) przejść do trybu pochylania rysunku;
  • nacisnąć klawisz Escape by usunąć zaznaczenie.

Kliknięcie prawym przyciskiem myszy wewnątrz zaznaczonego fragmentu powoduje wyświetlenie podręcznego menu (to samo uzyskamy za pomocą opcji Rysowanie / Zaznaczenie):

  • Nowy fragment ma działanie identyczne do kliknięcia lewym przyciskiem myszki w przycisk Zaznaczenie.
  • Wczytaj fragment… otwiera okno dialogowe Otwórz pozwalające na wczytanie pliku dowolnego dopuszczalnego formatu i użycie go jako nowego zaznaczenia.
  • Zapisz zaznaczenie jako… otwiera okno dialogowe Zapisz jako pozwalające na zapisanie zaznaczonego fragmentu rysunku we wskazanym pliku.
  • Włączenie trybu Rysuj przezroczyste powoduje, że podczas przemieszczania zaznaczonego fragmentu tło pod zaznaczeniem jest widoczne przez jego przezroczyste partie. W przeciwnym przypadku przemieszczany prostokąt całkowicie przesłania obszar, na jakim został umieszczony.
  • Rozciągnij+zgnieć, Obróć i Pochyl umożliwiają zmianę rozmiarów, obracanie i pochylanie zaznaczonego fragmentu.
  • Odbicie, Rozciągnięcie i Obrót otwiera podmenu z następującymi opcjami:
    • Odbij poziomo lub Odbij pionowo.
    • Zgnieć do 50% lub Rozciągnij do 200%.
    • Obróć o 90°, Obróć o 180° lub Obróć o 270°.
  • Dodaj jako klatkę wkleja zawartość zaznaczenia jako nową klatkę w bieżącej fazie.
  • Rysowanie z zaznaczeniem pozwala na traktowanie zaznaczonego fragmentu jako specjalnej stalówki podczas rysowania.

Po wykonaniu dowolnej spośród opisanych wyżej operacji, opcja Przywróć oryginalny staje się aktywna. Umożliwia ona wycofanie wszystkich dokonanych przekształceń aktualnego zaznaczenia, o ile zmieniany fragment jest ciągle zaznaczony.


Wybór powiększenia

Za pomocą tego przycisku przełączamy między aktualnym powiększeniem (od 20% do 1600%) a normalną (100%) wielkością rysunku widocznego w obszarze rysowania.

Kliknięcie w przycisk Powiększenie prawym przyciskiem myszki powoduje pojawienie się podręcznego menu zawierającego kilka najczęściej używanych wielkości powiększenia oraz opcję otwarcia okna dialogowego Powiększenie.

Powiększanie i zmniejszanie rysunku widocznego w obszarze rysowania jest również możliwe za pomocą opcji Widok / Lupa w głównym menu. Otwiera się wówczas podmenu pozwalające na przywrócenie Normalnego rozmiaru (100%), albo Powiększenie lub Zmniejszenie.

Opcja Powiększ zmienia wielkość widocznego rysunku według następującego ciągu: do 20%, 25%, 33%, 50%, 100%, 200%, 300%,… 1600%. Opcja Zmniejsz działa analogicznie. Do zwiększenia o jeden poziom możemy wykorzystać również kombinację klawiszy Ctrl W lub Ctrl Num +, do zmniejszenia: Ctrl Q lub Ctrl Num –, zaś przywrócimy normalną wielkość 100% naciskając Ctrl Num *.


Podgląd sąsiednich klatek

Za pomocą tego przycisku możemy włączać i wyłączać tryb Podgląd klatek. W trybie tym jest wyświetlana poprzednia lub następna klatka (tzn. sąsiadujący krok animacji).

Kliknięcie w przycisk Podgląd klatek prawym przyciskiem myszki, lub wybranie opcji Widok / Podgląd klatek… powoduje pojawienie się podręcznego menu, za pomocą którego możemy określić, czy chcemy widzieć jedną poprzednią klatkę, dwie poprzednie klatki, czy klatkę następną.

Zauważmy, że te "widmowe" obrazki nie są częścią rysunku wyświetlanego w obszarze rysowania. Stanowią jedynie rodzaj tła ułatwiającego proces tworzenia animacji.

Przy włączonych trybach Podgląd klatek i Zaczepienie sąsiadujące klatki wyświetlane w tle są powiązane z punktem zaczepienia i przemieszczają się wraz z nim.


Kształty

Podczas rysowania mamy do dyspozycji osiem różnych kształtów, przy czym większość przycisków przybornika, służących do wyboru kształtu, reprezentuje więcej niż jeden kształt. Po wielokrotnym wybieraniu danego przycisku jego znaczenie zmieni się np. z rysowania elipsy na rysowanie zamalowanej elipsy.

Mamy do dyspozycji następujące możliwości:

  • Rysowanie odręczne / Rysowanie linii z punktów pozwala na odręczne kreślenie linii, albo gładkiej albo złożonej z punktów, w aktualnie wybranym kolorze. Grubość kreślonej odręcznie linii jest określona przez rozmiar aktualnej stalówki, rysowanie odbywa się za pomocą aktualnie wybranego narzędzia (np. ołówka, gumki itp.).
  • Kreślenie elips / Zamalowanych elips umożliwia narysowanie dowolnej elipsy. Jeśli chcemy narysować okrąg, powinniśmy podczas kreślenia elipsy przytrzymać klawisz Shift.
  • Kreślenie łuków / Krzywych zamkniętych / Zamalowanych krzywych pozwala nam na rysowanie specjalnych gładkich krzywych (otwartych, zamkniętych lub zamkniętych i zamalowanych równocześnie). Rozpoczynamy przez kliknięcie w obszarze rysowania. Każdorazowo, przy kolejnych kliknięciach myszką, rysowana jest gładka krzywa (łuk) łącząca wskazane punkty. Kończymy kreślenie przez dwukrotne kliknięcie myszką w obszar rysowania.
  • Zamalowanie / Zastąpienie koloru umożliwia wypełnienie wskazanego obszaru wybranym kolorem. Kliknięcie w dowolnym punkcie obszaru rysowania, powoduje zamalowanie całego obszaru (tego samego koloru co wskazany punkt) otaczającego miejsce kliknięcia lub zastąpienie wszystkich punktów obszaru (tego samego koloru co wskazany punkt) nowym kolorem.
  • Rysowanie linii umożliwia rysowanie linii prostych wybraną grubością pisaka, kolorem itp.
  • Rysowanie prostokątów / Zamalowanych prostokątów umożliwia nam rysowanie prostokątów. Jeśli chcemy narysować kwadrat, powinniśmy podczas kreślenia prostokąta przytrzymać klawisz Shift.
  • Rysowanie łamanych / Wieloboków / Zamalowanych wieloboków pozwala kreślić łamane i wieloboki. Rozpoczynamy przez kliknięcie w obszarze rysowania. Każdorazowo, przy kolejnych kliknięciach myszką, rysowana jest prosta linia łącząca wskazane punkty. Kończymy kreślenie przez dwukrotne kliknięcie myszką w obszar rysowania.
  • Wstawianie tekstu otwiera okno dialogowe Tekst. Możemy w nim wprowadzić dowolny tekst (jedną lub więcej linii), wybrać czcionkę, wielkość oraz styl, a następnie wstawić tekst do rysunku poprzez naciśnięcie przycisku Stempluj (z ikonką przedstawiającą pieczątkę)


Stalówki

Możemy określić rozmiar i kształt stalówki. Program oferuje trzy dostępne wielkości stalówek (pierwsze trzy małe ikonki):

  • Wąska stalówka (1 punkt).
  • Szeroka stalówka (5 punktów).
  • Rozmiar użytkownika - może przyjąć dowolną wartość całkowitą określoną w oknie dialogowym Narzędzie.

Czwarty przycisk może przyjąć jeden z dwóch stanów: Okrągła stalówka i Kwadratowa stalówka.

Piąty przycisk włącza rysowanie aerografem, jego wielkość i gęstość określamy w oknie dialogowym Narzędzie.

Ostatni przycisk pozwala na rysowanie stalówką o kształcie określonym przez użytkownika, wykorzystując ostatnio określone Nowy fragment jako niekonwencjonalną stalówkę.


Narzędzia

Większość spośród tych narzędzi określa sposób, w jaki aktualnie wybrany kolor (lub prostokątny obszar wybrany za pomocą opcji Nowy fragment) zostanie połączony z narysowanym wcześniej rysunkiem. Pozostałe narzędzia określają sposób modyfikacji wskazanych części obszaru rysowania.

Narzędzie wybieramy albo poprzez kliknięcie w rozwijalną listę w oknie Przybornika lub przez wybranie opcji Rysowanie / Narzędzia.

Więcej informacji na temat działania przycisku i polecenia możesz uzyskać klikając w niego myszką.

Jeśli używane jest dowolne narzędzie (różne od Gumki), to rysowanie z wykorzystaniem prawego przycisku myszki oznacza ścieranie za pomocą wybranego narzędzia.


Narzędzia do rysowania - Pióro

Pióro po prostu dodaje aktualnie wybrany kolor do przygotowanego wcześniej w obszarze rysowania rysunku. Aktualny stopień przezroczystości wpływa na ten proces - wyraża on siłę z jaką przyciskamy narzędzie do papieru. Jeśli ustawimy poziom przezroczystości na niezerowy i będziemy wielokrotnie kreślili linię w tym samym miejscu bez zwalniania przycisku myszki, to punkty przecięcia nie będą robiły się ciemniejsze (rysunek domku po lewej), w przeciwieństwie do wyników rysowania za pomocą ołówka (rysunek domku z prawej strony).


Narzędzia do rysowania - Ołówek

Ołówek ma działanie zbliżone do pióra. Jedyna różnica pojawia się przy kreśleniu nie zamalowanych kształtów (linii, łamanych, prostokątów bez wnętrza itp.) - punkty kolorowane wielokrotnie stają się coraz ciemniejsze.


Narzędzia do rysowania - Gumka

Gumka ignoruje aktualnie wybrany kolor, po prostu zwiększa poziom przezroczystości wszystkich punktów rysunku zmienianych za pomocą tego narzędzia. Im niższy stopień przezroczystości ustawimy, tym silniej będą "wycierane" punkty. Jeśli stopień przezroczystości jest ustawiony na 0%, każdy usuwany punkt straci natychmiast cały swój kolor i stanie się punktem przezroczystym.

Przy usuwaniu własną stalówką, poziom usuwania każdego punktu jest określony przez poziom przezroczystości odpowiadającego punktu stalówki. Im jest on niższy, tym silniej zachodzi proces "wycierania".

Gumka pozwala nam uzyskać wiele spektakularnych efektów, szczególnie przy równoczesnym użyciu opcji Wygładzanie w sytuacjach, gdy nie potrzebujemy podkreślać krawędzi rysunków.


Narzędzia do rysowania - Rozmazywanie

Rozmazywanie ignoruje aktualnie wybrany kolor, rozmywa lub zaciera kolory rysunku. Sposób w jaki jest rozmazywany rysunek zależy od rodzaju stalówki i stopnia przezroczystości ustawionego na suwaku przezroczystości. Narzędzie to daje bardzo duże możliwości szczególnie używane równocześnie z opcją Wygładzanie.


Farbowanie - Narzędzia do rysowania

Narzędzia do rysowania - Farbowanie

Farbowanie używa aktualnie wybranego koloru do pokolorowania każdego punktu, przez który przechodzą rysowane linie, łamane, prostokąty, zamalowane prostokąty, wprowadzany tekst itp. Intensywność "ufarbowania" zależy od stopnia przezroczystości ustawionego na suwaku przezroczystości. Pierwszy rysunek po lewej w przykładzie poniżej został skopiowany i zmodyfikowany z użyciem narzędzia Farbowanie.


Narzędzia do rysowania - Rozjaśnianie

Narzędzie Rozjaśnianie powoduje, że każdy punkt, przez który przechodzą rysowane linie, łamane, prostokąty, zamalowane prostokąty, wprowadzany tekst itp., staje się jaśniejszy. Rozjaśnianie ignoruje aktualnie wybrany kolor, ale zależy od stopnia przezroczystości ustawionego na suwaku przezroczystości.


Narzędzia do rysowania - Przyciemnianie

Narzędzie Przyciemnianie powoduje, że każdy punkt, przez który przechodzą rysowane linie, łamane, prostokąty, zamalowane prostokąty, wprowadzany tekst itp. staje się ciemniejszy. Przyciemnianie ignoruje aktualnie wybrany kolor, ale zależy od stopnia przezroczystości ustawionego na suwaku przezroczystości.


Narzędzia do rysowania - Tonowanie

Narzędzie Tonowanie powoduje, że każdy punkt, przez który przechodzą rysowane linie, łamane, prostokąty, zamalowane prostokąty, wprowadzany tekst itp. staje się "miększy", bardziej stonowany. Tonowanie ignoruje aktualnie wybrany kolor, ale zależy od stopnia przezroczystości ustawionego na suwaku przezroczystości.

Na rysunku poniżej ilustrujemy w jaki sposób można korzystając z tego narzędzia "zmiękczyć" wypełnienie psa.


Narzędzia do rysowania - Wyostrzanie

Narzędzie Wyostrzanie powoduje, że każdy punkt, przez który przechodzą rysowane linie, łamane, prostokąty, zamalowane prostokąty, wprowadzany tekst itp. staje się ostrzejszy, bardziej wyraźny. Wyostrzanie ignoruje aktualnie wybrany kolor, ale zależy od stopnia przezroczystości ustawionego na suwaku przezroczystości.


Narzędzia do rysowania - Krawędzie

Narzędzie Krawędzie wpływa na wszystkie punkty rysunku, które co prawda nie są przezroczyste, ale sąsiadują z jednym lub większą liczbą punktów przezroczystych. Punkty te zostają wyróżnione za pomocą aktualnie wybranego koloru. Intensywność tego procesu zależy od poziomu przezroczystości ustawionego na suwaku przezroczystości. Rysunek po lewej stronie został skopiowany, a następnie zmodyfikowany za pomocą narzędzia Krawędzie bez opcji Wygładzanie (środkowy rysunek) oraz z włączoną opcją Wygładzanie (rysunek po prawej stronie).


Cofnij / Przywróć

Cofa ostatnio wykonaną czynność z użyciem narzędzi z Przybornika. Nie można cofnąć czynności, po której zmieniliśmy klatkę wyświetlaną w obszarze rysowania lub zmieniliśmy wielkość papieru. Ponowne użycie tego przycisku powoduje przywrócenie zmian.


Wyczyść rysunek

Przycisk ten działa tylko wtedy, gdy w obszarze rysowania jest widoczny jakiś rysunek. Czyszczony jest cały obszar rysunku przez zamianę wszystkich jego punktów na punkty przezroczyste w aktualnym kolorze papieru.


Podgląd wybranego koloru / Weź kolor

Duży prostokątny obszar powyżej Palety barw wyświetla aktualnie wybrany kolor do rysowania, zamalowywania, pisania tekstów itp.

  • Jeśli klikniemy weń lewym przyciskiem myszki, prostokąt podglądu koloru zostaje podświetlony a kursor myszy zamienia się w narzędzie weź kolor: kliknięcie w dowolny punkt rysunku powoduje przypisanie jego koloru jako aktualnie wybranego koloru. Dodatkowo, suwak przezroczystości zostaje przesunięty do poziomu przezroczystości tego punktu – miedzy 0% a 100%.
  • Jeśli klikniemy weń prawym przyciskiem myszy, otworzy się podręczne menu pozwalające nam wybrać jeden z najczęściej używanych kolorów lub jedną z trzech metod wyświetlania dostępnych barw. Ostatnia opcja menu wyświetli okno dialogowe Kolor.


Paleta barw

Edytor postaci udostępnia nam trzy różne sposoby wyświetlania dostępnych barw. Jeśli klikniemy prawym przyciskiem myszki w paletę barw, wyświetla się menu podręczne (to samo co przy Podgląd wybranego koloru / Weź kolor) pozwalające na wybór jednego z trzech modeli wyświetlania palety.

  • model HSV (od angielskich: hue, saturation, value) przedstawiony jest w postaci pierścienia z trójkątem w środku. Wyboru koloru dokonujemy poprzez przeciąganie małego okrągłego znacznika wewnątrz kolorowego pierścienia (odpowiada to składowej hue - barwa) i /lub białego krzyżyka wewnątrz trójkąta (składowe saturation i value - nasycenie i jaskrawość). Podczas ciągnięcia jednego z tych znaczników aktualnie wybrany kolor jest widoczny powyżej palety oraz w oknie dialogowym Kolor.
  • model RGB (od angielskich: red, green, blue) przedstawiony jest w postaci sześcianu, przeciągając dowolny z jego węzłów możemy określić nasycenie dowolnej z trzech składowych (czerwonej, zielonej i niebieskiej) tworzących wybrany kolor.
  • Paleta umożliwia wybór jednej z 256 barw. W celu wybrania interesującego nas koloru, wystarczy kliknąć weń myszką.


Przezroczystość pióra

Suwak przezroczystości pozwala nam określić stopień przezroczystości aktualnie wybranego koloru podczas rysowania, zamalowywania czy pisania wewnątrz obszaru rysowania. Może on przyjmować wartość od 0% do 100% i jest ściśle związany z parametrem Przezroczystość w oknie dialogowym Kolor.

Kreślenie z częściowo przezroczystym kolorem oznacza, że rysowane obiekty (linie, prostokąty, tekst itp.) nie zasłaniają całkowicie poprzednio narysowanych elementów, jak widać na rysunku poniżej. Na czerwonym zamalowanym prostokącie rysowaliśmy linie i litery ze zwiększającą się przezroczystością. Pierwsza linia i litera nie są w ogóle przezroczyste, kolejne mają stopień przezroczystości równy odpowiednio 20%, 50% i 80%. Dlatego leżący pod nimi prostokąt jest coraz bardziej widoczny.

Nie należy mylić częściowej przezroczystości kolorów z przezroczystością punktów tła.

Kliknięcie prawym przyciskiem myszy w suwak przezroczystości powoduje otwarcie podręcznego menu, pozwalającego na wybór jednego z kilku najczęściej używanych stopni przezroczystości lub wyświetlenie okna dialogowego Kolor.


Powiększenie (F6)

Okienko dialogowe Powiększenie zawiera:

  • Stopień powiększenia rysunku widocznego w obszarze rysowania. Może on przyjąć dowolną wartość pomiędzy 20% a 99% (zmniejszenie), lub od 100% do 1600% (powiększenie).
    Możemy również skorzystać ze skrótów klawiszowych: naciśnięcie kombinacji Ctrl W lub Ctrl + spowoduje powiększenie obrazka widocznego w obszarze rysowania o jeden krok zgodnie z sekwencją 20%, 25%, 33%, 50%, 100%, 200%, 300%, … 1600%. Kombinacja klawiszy Ctrl Q lub Ctrl –, powoduje zmniejszenie rysunku w analogiczny sposób.
    Do zmiany powiększenia służą również przycisk Wybór powiększenia w oknie Przybornika (również jego podręczne menu), oraz opcja Widok / Lupa.
  • Podgląd całego rysunku z wyróżnionym obszarem reprezentującym fragment aktualnie wypełniający obszar rysowania. Ten wyróżniony prostokąt możemy przeciągać myszką w obrębie okienka podglądu, w celu szybkiej i łatwej nawigacji. Zmiany obszaru widocznego na ekranie możemy również dokonać korzystając z poziomego i pionowego paska przewijania obszaru rysowania.
  • Opcja wyboru Siatka. Przy włączonej opcji pojawia się siatka linii (przy powiększeniu co najmniej 400%), ułatwiających rysowanie i poruszanie się po powiększonym rysunku.
  • Opcja wyboru Pokaż przezroczyste. Przy włączonej opcji wszystkie przezroczyste punkty rysunku są zaznaczone za pomocą czarnej kropki w środku powiększonego punktu (przy powiększeniu co najmniej 400%). Nie należy mylić przezroczystych punktów rysunku (czyli całkowicie przezroczystej części obrazka podczas używania w środowisku Imagine) z częściowo przezroczystym kolorem.


Kolor (F7)

Okienko dialogowe Kolor wyświetla parametry koloru wybranego w Palecie barw. Kolor jest reprezentowany w obu notacjach: Red-Green-Blue (RGB) - czerwony, zielony, niebieski oraz Hue-Saturation-Value (HSV) - barwa, nasycenie, jaskrawość. Zmiana dowolnej z tych wielkości zostaje natychmiast odzwierciedlona w alternatywnej notacji oraz w ustawieniach Palety barw i podglądzie wybranego koloru. Analogicznie, wybranie innej barwy w Przyborniku powoduje uaktualnienie wszystkich parametrów widocznych w oknie dialogowym.

W oknie dialogowym Kolor jest również widoczny aktualny stopień przezroczystości. Dopuszczalne są wszystkie wartości od 0% do 100% włącznie. Przy rysowaniu poniższego przykładu (za pomocą Pióra) zostały użyte tylko trzy kolory oraz kilka różnych poziomów przezroczystości.


Narzędzie (F8)

Okno dialogowe Narzędzie zawiera trzy opcje:

  • Pokrewne kolory to liczba pomiędzy 0% a 100% wpływająca na narzędzia Zamaluj i Zastąp kolor w następujący sposób:
    Po wybraniu koloru i narzędzia Zamaluj w oknie Przybornika, kliknięcie w dowolny punkt rysunku powoduje pokolorowanie ciągłego obszaru złożonego z przylegających punktów tego samego koloru co wskazany punkt. Zjawisko to zachodzi, gdy opcja pokrewne kolory na wartość 0%. Jeśli jednak zwiększymy tę liczbę, wybrany kolor "wycieknie" również na punkty o podobnych barwach, gdzie stopień podobieństwa jest określony właśnie przez ten parametr - im większa wartość opcji pokrewne kolory, tym większy stopień "wyciekania".

    Górny rządek na ilustracji powyżej przedstawia ciąg zielonych żółwi zamalowywanych przy coraz wyższej wartości pokrewnych kolorów. Narzędzie Zamaluj było używane do zamalowania białego paska na grzbiecie żółwia. Chociaż paski na grzbiecie żółwia wyglądają na białe, to w rzeczywistości składają się z wielu podobnych jasnych punktów. Dlatego zwiększając wartość opcji pokrewne kolory powodujemy powiększanie się żółtej plamy na grzbiecie żółwia. Przy najwyższej wartości żółta barwa zaczyna nawet wylewać się na jasno zielone punkty.

    Dolny rządek żółwi ilustruje wpływ opcji Pokrewne kolory na narzędzie Zastąp kolor. Po wybraniu koloru i narzędzia Zastąp kolor w oknie Przybornika, kliknięcie w dowolny punkt rysunku powoduje zamalowanie wybranym kolorem wszystkich punktów całego rysunku, których barwa jest taka sama jak wskazanego punktu. Jeśli skorzystamy z tego narzędzia przy zwiększonej wartości pokrewnych kolorów, wszystkie punkty o podobnej barwie również zostaną zastąpione nowym kolorem. Przy wartości 100%, cały rysunek zostanie zamalowany aktualnie wybranym kolorem.

    Na powyższym rysunku powoli zwiększyliśmy poziom przezroczystości, dlatego wzór żółwia jest widoczny do końca, nawet na ostatniej z nich. W każdym przykładzie z dolnego rządka, wskazywany był ten sam jasno zielony punkt na grzbiecie żółwia. Coraz większa część żółwia zmieniała kolor, ostatecznie aż 65% całego żółwia stało się żółte.

  • Wielkość stalówki wpływa na szerokość linii kreślonych za pomocą wszystkich narzędzi do rysowania, w rysowaniu odręcznym, elipsach, krzywych, liniach, prostokątach, wielokątach i wszystkich ich możliwościach. Aby zmienić wielkość stalówki możemy albo wybrać jedną z trzech ikon w Przyborniku (wąska - 1 punkt, szeroka - 5 punktów, użytkownika - aktualna wartość pobrana z pliku LogoMotion.INI, gdzie pamiętany jest nasz ostatni wybór tej opcji) lub ustawić ją bezpośrednio w oknie Narzędzie. Dopuszczalna jest dowolna wartość między 1 a 100.
  • Aerograf może przyjmować wartości z zakresu od 1% do 100% (gdzie 100% odpowiada linii ciągłej).
    Zarówno Wielkość stalówki jak i Aerograf wpływają na działanie wszystkich narzędzi do rysowania, np. gdy kreślimy linie, prostokąty, łuki itp.:


Atrybuty obrazu (Alt A)

Okno dialogowe Ustawienia wyświetla informację o bieżącym Typie obrazu, jego Szerokości i Wysokości, wybranym trybie Przezroczystości oraz Kolorze papieru. Wszystkie te ustawienia mogą być zmienione w dowolnym momencie i oryginalna zawartość rysunku zostanie zachowana - chyba, że nowy rozmiar rysunku jest mniejszy niż jego dotychczasowa wysokość i szerokość.

Typ obrazu jest rozwijalną listą wyświetlającą bieżący wybór i pozwalającą wybrać spośród listy typów. Możemy również określić własny typ obrazu (zawierający szerokość, wysokość i tryb przezroczystości) inny od wymienionych na liście.

Kolor papieru wyświetla aktualny kolor papieru - to nie jest część rysunku. Domyślną wartością jest kolor biały, widoczny jako duży prostokątny obszar obok napisu Kolor papieru. Aby zmienić kolor papieru wystarczy kliknąć w ten prostokąt - pojawi się okno Wybierz kolor pozwalające na wybór innej barwy.

Zalecamy bardzo ostrożne korzystanie z tej właściwości, ponieważ niektóre narzędzia do rysowania i metody kreślenia tworzą miękkie przejścia barw między aktualnie wybranym kolorem a kolorem papieru. Jeśli później postanowimy zmienić kolor papieru, rysunek może ciągle zawierać przejścia do poprzedniego tła (jak na rysunku poniżej). Dlatego kolor papieru powinien być określony (jeśli jest to konieczne) jak najwcześniej. Równocześnie, kolor ten powinien być zbliżony do "średniego" koloru tła projektu Imagine, w którym będziemy korzystać z przygotowanego przez nas rysunku.


Okno dialogowe Zaczepienie (Alt Z)

Okno dialogowe Zaczepienie pojawia się po:

  • wybraniu opcji Opcje / Zaczepienie… na pasku menu, lub
  • naciśnięciu kombinacji klawiszy Alt Z, lub
  • wybraniu opcji Opcje / Zaczepienie… z podręcznego menu pojawiającego się po kliknięciu prawym przyciskiem myszy w oknie Treści.

Pozwala ono na określenie nowego punktu zaczepienia jednej lub wielu klatek (w zależności od tego, co było wybrane w momencie otwierania tego okna).

W oknie Zaczepienie oferowane są trzy sposoby określenia punktu zaczepienia:

  • użycie pól edycyjnych Zaczepienie X i Zaczepienie Y do określenia jego pozycji jako procentu szerokości i wysokości klatki.

    Na przykład:

    Powyższe punkty zaczepienia określono w następujący sposób:

    • 50% i 50% (punkt zaczepienia leży na środku klatki).
    • 50% i 100% (punkt zaczepienia leży na środku dolnej krawędzi).
    • 20% i 110% (y współrzędna leży poza rysunkiem).
    • -30% i 50% (x współrzędna leży poza rysunkiem).
  • użycie pól edycyjnych Zaczepienie X i Zaczepienie Y do określenia jego pozycji w punktach, na przykład 20 i 10, lub 0 i 0, lub -10 i 50,
  • użycie okienka Szybki wybór. Klikając w dowolny z 9 czarnych znaczników, ustawiamy punkt zaczepienia w odpowiedniej pozycji.

Należy zauważyć, że używanie procentów do ustalania pozycji punktu zaczepienia jest bardzo wygodne, szczególnie w przypadku, gdy robimy to równocześnie dla kilku klatek o różnych rozmiarach. Czasami jednak, szczególnie przy rysowaniu lub skanowaniu animowanych obrazków, konieczne jest określanie punktu zaczepienia ręcznie klatka po klatce, by uzyskać realistyczną i przekonywującą iluzję ruchu.


Okno dialogowe Transformacje (Alt T)

Okno dialogowe Transformacje pozwala nam przekształcać klatkę (lub kilka klatek) przez zmianę rozmiaru, obracanie i/lub odbijanie jej zawartości. Dowolna kombinacja tych operacji może być równocześnie wykonana na wszystkich wybranych klatkach. Przekształcenia możemy wzbogacić stosując mechanizm wygładzania.

Zaznaczmy kilka klatek lub faz, a następnie wybierzmy opcję Opcje / Transformacje… z podręcznego menu - pojawi się okno dialogowe Transformacje.

Operacja Zmiana rozmiaru może być określona jako:

  • procent oryginalnego rozmiaru (taki jak 33%, 50%, 150% itd.).
  • konkretne wartości np. 40 i 230 określające dokładną szerokość i wysokość zmienianego rysunku w punktach.

Każdą z tych wartości możemy albo wybrać z rozwijalnej listy, albo wprowadzić ręcznie jako dowolną liczbę dodatnią lub procent.

Poniżej pola edycyjnego Wysokość znajduje się pole wyboru Proporcjonalny wiążące ze sobą wysokość i szerokość rysunku. Jeśli jest ono odznaczone, możemy wprowadzić osobno dwie wartości liczbowe lub procentowe.

Operacja Obrót wymaga podania kąta (w stopniach), o jaki chcemy obrócić rysunek w kierunku ruchu wskazówek zegara. Możemy również wprowadzić lub wybrać kąt ujemny, aby wykonać obrót w przeciwną stronę.

Operacja Odbij umożliwia odbicie rysunku poziomo, pionowo, lub na oba te sposoby:

W oknie dialogowym Transformacje możemy wybrać dowolną kombinację omówionych wyżej operacji. Po naciśnięciu przycisku OK, wybrane operacje zostaną zastosowane do każdej zaznaczonej klatki (klatki zostaną zastąpione nową wersją). Należy jednak ostrożnie stosować przekształcenie rysunku, ponieważ nie można przywrócić poprzedniego stanu klatek za pomocą przycisku Cofnij.

Powyższy przykład demonstruje zastosowanie wygładzania, zmiany rozmiaru do 200% i obrotu o 90 stopni.


Okno dialogowe Generuj (Alt G)

Okno dialogowe Generuj jest bardzo podobne do okna dialogowego Transformacje. Można w nim również ustawić zmianę rozmiaru, obrót i odbicie w połączeniu z wygładzaniem krawędzi (informacje o tych operacjach znajdziesz w opisie okna Transformacje). Podstawowa różnica polega na tym, że okno Transformacje służy do zmiany i zastępowania klatki lub kilku klatek, zaś okno Generuj zachowuje oryginalną klatkę / klatki i tworzy jedną lub kilka nowych (ich liczba jest określona w polu Ilość).

Podczas procesu generowania nowych klatek może się zdarzyć (zależy to od ustawień parametrów w oknie dialogowym), że dla danej klatki tworzona jest sekwencja nowych klatek zawierająca ponownie klatkę wyjściową, np. jako ostatnią w ciągu. W pewnych sytuacjach będziemy chcieli tę klatkę zachować, w innych zaś - usunąć. Ilustrują to poniższe przykłady, w każdym z nich, w chwili otwierania okna Generuj, wybrana jest pojedyncza klatka przedstawiająca pszczołę.

Przykład 1

Ustawmy Ilość=8, Kąt=360 i wygładzanie. Oznacza to, że z wybranej klatki powstanie 8 nowych klatek poprzez stopniowe obroty w prawo, gdzie ostatnia klatka powstanie przez obrót o 360 stopni. Czyli pierwsza generowana jest przez obrót o 45°, druga o 90°… itd.

Ponieważ stosowaliśmy jedynie obrót (bez zmiany rozmiaru czy odbicia), ostatnia klatka jest identyczna z pierwszą i powinna zostać usunięta.

Przykład 2

Zastosujmy wszystkie poprzednie ustawienia dodając dodatkowo zmianę rozmiaru do 10%. Oznacza to, że kolejne klatki będą stale zmniejszane tak, by ostatnia stanowiła 10% pierwszej. Oczywiście, tym samym ostatnia klatka nie jest identyczna z pierwszą.

Przykład 3

Tym razem niech Ilość=8, bez zmiany rozmiaru ( Szerokość i Wysokość=100%), bez obrotu, Odbij pionowo. W rezultacie uzyskamy 8 nowych klatek stopniowo odbijanych pionowo z powrotem do 100% oryginalnej wielkości.

Okno dialogowe Generuj daje nawet jeszcze większe możliwości. Dotychczas wszystkie przykłady operowały jedynie na obszarze zarządzania klatkami - zawsze zaczynaliśmy od wybrania pojedynczej klatki. Wyobraźmy sobie sytuację, w której mamy animowany ciąg klatek w oknie Treści, na przykład ponownie pszczołę, i wybrana jest cała faza. W tym przypadku ustawmy wartości Ilość=12, Kąt=360°, włączmy wygładzanie krawędzi. W wyniku powstanie 12 animowanych obrotów (faz), z których każdy zawierać będzie taką samą liczbę klatek jak źródłowa faza, przy czym każda klatka zostanie obrócona w ten sam sposób.


Pasek stanu

Pasek stanu jest poziomą linią pojawiającą się w dolnej części głównego okna Edytora postaci. Dostarcza on pomocy kontekstowej dotyczącej wybranego narzędzia lub opcji menu wraz z pewnymi dodatkowymi przydatnymi informacjami.

W szczególności na pasku stanu wyświetlane są:

  • pomoc kontekstowa dotycząca każdej z podświetlanych opcji menu. Po rozwinięciu menu (za pomocą lewego lub prawego przycisku myszy), podczas przeglądania go, w pierwszym z pól paska stanu wyświetlany jest krótki opis wskazywanej opcji,
  • pomoc kontekstowa dotycząca każdego przycisku na pasku narzędzi i w Przyborniku wyświetlana po wskazaniu przycisku kursorem myszki,
  • aktualne położenie kursora myszy (przy przesuwaniu go wewnątrz obszaru rysowania),
  • jeśli Edytor postaci jest w trybie Wyświetl i wskaż zaczepienie, pierwsze pole paska stanu zawiera współrzędne aktualnego punktu zaczepienia zaś drugie i trzecie pole - aktualną pozycję kursora myszy (przy przesuwaniu go wewnątrz obszaru rysowania),
  • podczas zaznaczania obszaru, drugie i trzecie pole zawiera współrzędne lewego górnego rogu zaznaczenia, czwarte i piąte - jego bieżącą szerokość i wysokość.


Plik INI Edytora postaci

W pliku LogoMotion.INI przechowywane są informacje o pozycjach, rozmiarach, wyborach i parametrach wszystkich komponentów Edytora postaci ustalonych podczas ostatniej sesji pracy z programem. Edytor postaci używa tych informacji przy następnym uruchomieniu, by odtworzyć wygląd aplikacji.

Plik LogoMotion.INI jest standardowym plikiem tekstowym Windows. Składa się z kilku sekcji rozpoczynających się od tytułu podanego w nawiasach kwadratowych, jak [Zoom] lub [Tool settings], po którym następuje zero lub więcej elementów w postaci napisów typu:Top=-76 lub Spray Density=50. Niektóre napisy np. SplashScreen =1 oznaczają, że ta opcja jest włączona. Jeśli wartością parametru jest 0, to rozumiemy, że opcja jest wyłączona.

[Main]
Maximized=0
Left=0
Top=2
Right=501
Bottom=322
ToolBar=1
DockWindows=1
SplashScreen=1
ToolBar AltVisible=1 		W tej części pamiętana jest pozycja, rozmiar i styl głównego okna Edytora postaci. Linia DockWindows=1 informuje nas , czy okna Treści i Przybornika można zadokować (przylepić do krawędzi) w oknie głównym.
[Organizer]
Visible=1
Left=-1
Top=281
DockSite=Bottom
Width=640
AltVisible=1 		W tej części pamiętana jest pozycja i miejsce zadokowania okna Treści.
[Tools]
Visible=1
Left=501
Top=0
DockSite=Right
AltVisible=1 		W tej części pamiętana jest pozycja i miejsce zadokowania Przybornika.
[Zoom]
Visible=0
Left=-1
Top=76
Level=800
IsGrid=1
IsTransparent=1
IsZoom=0
AltVisible=1 		Sekcja [Zoom] odpowiada za przechowywanie informacji dotyczących okna dialogowego Powiększenie oraz aktualnego stanu powiększenia obszaru rysowania.
[Color]
Visible=0
Left=355
Top=335
Model=HSV
AltVisible=0
History=4 		W tej części pamiętana jest pozycja i aktualne parametry dotyczące okna dialogowego Kolor oraz model wyświetlania palety barw w oknie Przybornika.
[Selection]
IsTrasparentMode=1 		Informacja o tym, czy włączony jest tryb Rysuj przezroczyste.
[Files]
InitialDIR=Image\
OpenDialog.IsPlayPreview=1
SaveDialog.IsPlayPreview=1
History=4 		W części [Files] podany jest adres domyślnego folderu przeglądanego przez Edytor postaci przy wyświetlaniu okien dialogowych Otwórz i Zapisz jako. Można podać w tym miejscu albo pełną ścieżkę dostępu jak np. InitialDIR=D:\Screens\ lub częściową - nazwę folderu położonego w miejscu, z którego uruchamialiśmy Edytor postaci.

Znajduje się tu również informacja, czy w oknach dialogowych Otwórz i Zapisz jako ma być wyświetlany podgląd animacji.
[Frame Item Default]
Width=320
Height=240
Color=16777215
IsZip=1
Is32bpp=0 		Szerokość, wysokość oraz kolor papieru dla nowego rysunku.
[Text]
Left=279
Top=293
Right=466
Bottom=383 		Położenie i rozmiar okna dialogowego Tekst. Zauważmy, że nie jest przechowywana nazwa ostatnio używanej czcionki, domyślnie wyświetlaną inicjalnie czcionką jest zawsze czcionka Arial. Możemy zmienić to ustawienie w oknie Tekst.
[Tool Settings]
Nib Size=25
Spray Density=50
Left=441
Top=364
Visible=0
Nib Custom Size=25
Color Tolerance=5
AltVisible=1 		W tej części pamiętana jest pozycja i aktualne parametry dotyczące okna dialogowego Narzędzie.


Tabela skrótów klawiszowych

Klawiatura | Opcja menu | Przycisk
` | Rysowanie / Zaznaczenie / Nowy fragment |
Alt F3 | Plik / Zamknij |
Alt F4 | Plik / Koniec |
Alt A | Opcje / Atrybuty obrazu… | Atrybuty obrazu
Alt G | Opcje / Generuj… |
Alt S | Opcje / Spowolnienie… |
Alt T | Opcje / Transformacje… |
Alt X | Plik / Koniec |
Alt Z | Opcje / Zaczepienie… |
Ctrl ` | Rysowanie / Zaznaczenie / Rysuj przezroczyste |
Ctrl A | Edycja / Zaznacz wszystko |
Ctrl C | Edycja / Kopiuj |
Ctrl D | Opcje / Dodaj klatki |
Ctrl K | Opcje / Odwróć kolejność |
Ctrl M | Opcje / Minimalizuj | Minimalizuj rysunek
Ctrl N | Plik / Nowy |
Ctrl Num- | Widok / Lupa / Powiększ |
Ctrl Num* | Widok / Lupa / Normalny rozmiar |
Ctrl Num+ | Widok / Lupa / Zmniejsz |
Ctrl O | Plik / Otwórz… | Otwórz plik postaci
Ctrl P | Plik / Drukuj… |
Ctrl Q | Widok / Lupa / Zmniejsz |
Ctrl S | Plik / Zapisz | Zapisz plik postaci
Ctrl V | Edycja / Wklej |
Ctrl W | Widok / Lupa / Powiększ |
Ctrl X | Edycja / Wytnij |
Ctrl Z | Edycja / Cofnij |
Del | Edycja / Usuń | Usuń klatkę
Ins | Edycja / Wstaw nowy po | Wstaw nowy za
Space | Podgląd Pełny ekran - pokazuje lub chowa wszystkie okna pomocnicze (takie jak okno treści, przybornik itp.) poza obszarem rysowania. |
F2 | Plik / Zapisz | Zapisz plik postaci
F3 | Plik / Otwórz… | Otwórz plik postaci
F4 | Widok / Treść… | Treść
F5 | Widok / Przybornik… | Przybornik
F6 | Widok / Lupa / Powiększenie… | Powiększenie
F7 | Widok / Kolor… |
F8 | Widok / Narzędzie… |
F9 | Widok / Podgląd | Podgląd
F11 | Widok / Zaczepienie… | Zaczepienie


Zawartość pomocy

Edytor postaci

Edytor bitmap i animacji
Dla użytkowników Edytora obrazów Logo Komeniusza
Pliki graficzne Imagine

Menu

Menu
Menu Plik
Menu Edycja
Menu Widok
Menu Rysowanie
Menu Opcje
Menu Pomoc

Pasek narzędzi

Pasek narzędzi

Obszar Rysowania / Podglądu

Obszar Rysowania / Podglądu
Obszar rysowania
Obszar podglądu
Pasek podglądu
Ustalanie położenia rysunku
Menu obszaru podglądu

Treść

Treść
Obszar zarządzania fazami
Obszar zarządzania klatkami
Obszar zarządzania postaciami

Przybornik

Przybornik
Grupy narzędzi przybornika

Ustawienia

Powiększenie (F6)
Kolor (F7)
Narzędzie (F8)
Atrybuty obrazu (Alt A)

Okna dialogowe

Okno dialogowe Zaczepienie (Alt Z)
Okno dialogowe Transformacje (Alt T)
Okno dialogowe Generuj (Alt G)

Pasek stanu

Pasek stanu

Plik INI Edytora postaci

Plik INI Edytora postaci

Skróty klawiszowe

Tabela skrótów klawiszowych